﻿--检查项优化相关改造
--牟润发2021.8.24
------------------------------------公共配置------------------------------------------------
--添加业务对象多选基础资料
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CALSETTING_CHECKOBJECT') 
 CREATE TABLE T_CALSETTING_CHECKOBJECT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(80) DEFAULT ' ' NOT NULL
);

------------------------------------检查项-------------------------------------------------
--检查方式
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_ITEM' AND KSQL_COL_NAME ='FCHECKMODE')
 ALTER TABLE T_CAL_DATACHECK_ITEM ADD (FCHECKMODE VARCHAR(5) DEFAULT ' ' NOT NULL);

--业务对象
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_ITEM' AND KSQL_COL_NAME ='FBIZOBJECT')
 ALTER TABLE T_CAL_DATACHECK_ITEM ADD (FBIZOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
--过滤条件
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_ITEM' AND KSQL_COL_NAME ='FCUSTOMFILTERTEXT')
 ALTER TABLE T_CAL_DATACHECK_ITEM ADD (FCUSTOMFILTERTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL);
 
--异常内容描述
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_ITEM' AND KSQL_COL_NAME ='FEXPMSGFIELDS')
 ALTER TABLE T_CAL_DATACHECK_ITEM ADD (FEXPMSGFIELDS NVARCHAR(255) DEFAULT ' ' NOT NULL);
  
--后台过滤条件
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_ITEM' AND KSQL_COL_NAME ='FCUSTOMFILTER')
 ALTER TABLE T_CAL_DATACHECK_ITEM ADD (FCUSTOMFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL);
  
--后台过滤条件_大文本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_ITEM' AND KSQL_COL_NAME ='FCUSTOMFILTER_TAG')
 ALTER TABLE T_CAL_DATACHECK_ITEM ADD (FCUSTOMFILTER_TAG NCLOB);

 
------------------------------------检查任务-------------------------------------------------
--用途
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_TASK' AND KSQL_COL_NAME ='FPURPOSE')
 ALTER TABLE T_CAL_DATACHECK_TASK ADD (FPURPOSE VARCHAR(5) DEFAULT 'A' NOT NULL);
 
 ------------------------------------检查结果-------------------------------------------------
 --检查计划类型
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_RESULT' AND KSQL_COL_NAME ='FCHECKPLANTYPE')
 ALTER TABLE T_CAL_DATACHECK_RESULT ADD (FCHECKPLANTYPE VARCHAR(30) DEFAULT ' ' NOT NULL);
 
 --用途
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_RESULT' AND KSQL_COL_NAME ='FPURPOSE')
 ALTER TABLE T_CAL_DATACHECK_RESULT ADD (FPURPOSE VARCHAR(5) DEFAULT ' ' NOT NULL);
 
 --核算组织
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_RESULT' AND KSQL_COL_NAME ='FCALORG')
 ALTER TABLE T_CAL_DATACHECK_RESULT ADD (FCALORG NVARCHAR(255) DEFAULT ' ' NOT NULL);
 
 --成本账簿
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_RESULT' AND KSQL_COL_NAME ='FCOSTACCOUNT')
 ALTER TABLE T_CAL_DATACHECK_RESULT ADD (FCOSTACCOUNT NVARCHAR(255) DEFAULT ' ' NOT NULL);
 
  --货主
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DATACHECK_RESULT' AND KSQL_COL_NAME ='FOWNER')
 ALTER TABLE T_CAL_DATACHECK_RESULT ADD (FOWNER NVARCHAR(255) DEFAULT ' ' NOT NULL);
 
 