﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_ATGROUPRECORDE_BILLNO') CREATE INDEX IDX_CAL_ATGROUPRECORDE_BILLNO ON T_CAL_ATGROUPRECORD_ENTRY ( FBILLNO );

 EXEC P_ALTERPK 'PK_T_CAL_SORTLOOP', 'T_CAL_SORTLOOP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SORTLOOP_SLID') CREATE INDEX IDX_CAL_SORTLOOP_SLID ON T_CAL_SORTLOOP ( FSORTLISTID );


 EXEC P_ALTERPK 'PK_T_CAL_COSTDOMAIN', 'T_CAL_COSTDOMAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTDOMAIN_CPM') CREATE INDEX IDX_CAL_COSTDOMAIN_CPM ON T_CAL_COSTDOMAIN ( FCOSTACCOUNTID ,FPERIODID ,FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTDOMAIN_DKEY') CREATE UNIQUE INDEX IDX_CAL_COSTDOMAIN_DKEY ON T_CAL_COSTDOMAIN ( FDIMENSIONKEY );


 EXEC P_ALTERPK 'PK_T_CAL_COSTDOMAINGROUP', 'T_CAL_COSTDOMAINGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTDOMAINGROUP_STK') CREATE INDEX IDX_CAL_COSTDOMAINGROUP_STK ON T_CAL_COSTDOMAINGROUP ( FSDIMENSIONKEY ,FTDIMENSIONKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTDOMAINGROUP_TK') CREATE INDEX IDX_CAL_COSTDOMAINGROUP_TK ON T_CAL_COSTDOMAINGROUP ( FTDIMENSIONKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTDOMAINGROUP_DK') CREATE UNIQUE INDEX IDX_CAL_COSTDOMAINGROUP_DK ON T_CAL_COSTDOMAINGROUP ( FDIMENSIONKEY );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
