﻿-- 牟润发2022.11.1
-- 智能排序结果添加 跟踪号 字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_cal_sortresultentry' AND KSQL_COL_NAME IN ('FTRACKNUMBER')) 
 ALTER TABLE t_cal_sortresultentry ADD (FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL );

 -- 即时成本添加 跟踪号 字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_cal_recentcost' AND KSQL_COL_NAME IN ('FTRACKNUMBER')) 
 ALTER TABLE t_cal_recentcost ADD (FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL );
 
 -- 先进先出余额表添加 跟踪号 字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_cal_balance_fifo' AND KSQL_COL_NAME IN ('FTRACKNUMBER')) 
 ALTER TABLE t_cal_balance_fifo ADD (FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL );
 
 -- 先进先出余额表（月末）添加 跟踪号 字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_cal_bal_fifo_period' AND KSQL_COL_NAME IN ('FTRACKNUMBER')) 
 ALTER TABLE t_cal_bal_fifo_period ADD (FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL );
 
 -- 成本域维度添加 跟踪号 字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_cal_costdomain' AND KSQL_COL_NAME IN ('FTRACKNUMBER')) 
 ALTER TABLE t_cal_costdomain ADD (FTRACKNUMBER BIGINT DEFAULT 0 NOT NULL );
 
