﻿-- 牟润发2022.12.30
-- 新增差异单合并配置

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_GROUPDIFFSETTING') 
 CREATE TABLE T_CAL_GROUPDIFFSETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZOBJECTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTYPE VARCHAR(5) DEFAULT 'A' NOT NULL,
FGROUPDIMS NVARCHAR(512),
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_GROUPDIFFSETTING_L') 
 CREATE TABLE T_CAL_GROUPDIFFSETTING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_GROUPDIFFENTRY') 
 CREATE TABLE T_CAL_GROUPDIFFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);

-- 新增差异单合并单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIFFGROUPBILL') 
 CREATE TABLE T_CAL_DIFFGROUPBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNT BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCREATETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCSTYPEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNUM VARCHAR(80) DEFAULT ' ' NOT NULL,
FCUSTSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255),
FREMARK_TAG NCLOB,

FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FADJUSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_G DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_H DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_K DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_P DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_Q DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_R DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_M DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_S DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_T DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFF_C DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHSOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FFEEPROJECTID BIGINT DEFAULT 0 NOT NULL,
finvbiztypeid BIGINT DEFAULT 0 NOT NULL,
FTRANSTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIFFGROUPBILL_L') 
 CREATE TABLE T_CAL_DIFFGROUPBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);

--差异单分录添加合并单id和编号
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STDCOSTDIFFENTRY' AND KSQL_COL_NAME IN ('FGROUPDIFFBILLID'))
 ALTER TABLE T_CAL_STDCOSTDIFFENTRY ADD (FGROUPDIFFBILLID BIGINT DEFAULT 0 NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STDCOSTDIFFENTRY' AND KSQL_COL_NAME IN ('FGROUPDIFFBILLNUM'))
 ALTER TABLE T_CAL_STDCOSTDIFFENTRY ADD (FGROUPDIFFBILLNUM NVARCHAR(80) DEFAULT ' ' NOT NULL );
	