﻿
EXEC P_ALTERPK 'PK_CAL_DOMAIN_BAL', 'T_CAL_DOMAIN_BAL', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBAL_FPK') CREATE UNIQUE INDEX IDX_CAL_DBAL_FPK ON T_CAL_DOMAIN_BAL ( FPERIODID ,FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBAL_FMT') CREATE INDEX IDX_CAL_DBAL_FMT ON T_CAL_DOMAIN_BAL ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBAL_FCAP') CREATE INDEX IDX_CAL_DBAL_FCAP ON T_CAL_DOMAIN_BAL ( FCOSTACCOUNTID,FPERIODID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBAL_FDK') CREATE INDEX IDX_CAL_DBAL_FDK ON T_CAL_DOMAIN_BAL ( FCOSTDOMAINKEY);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBAL_FK') CREATE INDEX IDX_CAL_DBAL_FK ON T_CAL_DOMAIN_BAL ( FKEYCOL);





EXEC p_AlterPK 'PK_CAL_DOMAIN_BAL_SP', 'T_CAL_DOMAIN_BAL_SP', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALSP_FBID') CREATE INDEX IDX_CAL_DBALSP_FBID ON T_CAL_DOMAIN_BAL_SP ( FBILLID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALSP_FBNO') CREATE INDEX IDX_CAL_DBALSP_FBNO ON T_CAL_DOMAIN_BAL_SP ( FBILLNO );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALSP_FUT') CREATE INDEX IDX_CAL_DBALSP_FUT ON T_CAL_DOMAIN_BAL_SP ( FUPDATETIME );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALSP_FK') CREATE INDEX IDX_CAL_DBALSP_FK ON T_CAL_DOMAIN_BAL_SP ( FKEYCOL);

EXEC p_AlterPK 'PK_CAL_DOMAIN_BAL_TP', 'T_CAL_DOMAIN_BAL_TP', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALTP_FBID') CREATE INDEX IDX_CAL_DBALTP_FBID ON T_CAL_DOMAIN_BAL_TP ( FBILLID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALTP_FBNO') CREATE INDEX IDX_CAL_DBALTP_FBNO ON T_CAL_DOMAIN_BAL_TP ( FBILLNO );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALTP_FUT') CREATE INDEX IDX_CAL_DBALTP_FUT ON T_CAL_DOMAIN_BAL_TP ( FUPDATETIME );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DBALTP_FK') CREATE INDEX IDX_CAL_DBALTP_FK ON T_CAL_DOMAIN_BAL_TP ( FKEYCOL);
