﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTUPDATEAPPLYBILL') 
 CREATE TABLE T_CAL_COSTUPDATEAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSRCSYS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZDATE DATETIME,
FSUMTYPE CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTUPDATEAPPLYBILL_L') 
 CREATE TABLE T_CAL_COSTUPDATEAPPLYBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTUPDATEENTRY') 
 CREATE TABLE T_CAL_COSTUPDATEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FWAREHSOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWUNITCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FWAREHOUSEID') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTORAGEORGUNITID') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTOPTIME') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTOPTIME DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
