﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FIELDMAPCONFIG') 
 CREATE TABLE T_CAL_FIELDMAPCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCALFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FIELDMAPCONFIG_L') 
 CREATE TABLE T_CAL_FIELDMAPCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FIELDMAPENTRY') 
 CREATE TABLE T_CAL_FIELDMAPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYOBJECTID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_PRICESCHEMEENTRY' AND KSQL_COL_NAME ='FPRICEREMARK') 
 ALTER TABLE T_CAL_PRICESCHEMEENTRY ADD (FPRICEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_PRICESCHEME' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_CAL_PRICESCHEME ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTOPERID') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTOPERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTARTERID') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTARTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTARTTIME') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTARTTIME DATETIME );
