﻿-- 存货跌价计提单 
 EXEC P_ALTERPK 'PK_CAL_PRICE_PROVBILL', 'T_CAL_PRICE_PROVBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICE_PROVBILL_COP') CREATE INDEX IDX_CAL_PRICE_PROVBILL_COP ON T_CAL_PRICE_PROVBILL ( FCOSTACCOUNTID,FORGID,FPERIODID);
 
 -- 存货跌价计提单多语言表  FID,FLOCALEID
 EXEC P_ALTERPK 'PK_CAL_PRICE_PROVBILL_L', 'T_CAL_PRICE_PROVBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICE_PROVBILL_L_LOC') CREATE INDEX IDX_CAL_PRICE_PROVBILL_L_LOC ON T_CAL_PRICE_PROVBILL_L ( FLOCALEID);
 
  -- T_CAL_PRICE_PROVENTRY  存货跌价计提单分录  {FID,FENDPERIOD}
 EXEC P_ALTERPK 'PK_CAL_PRICE_PROVENTRY', 'T_CAL_PRICE_PROVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICE_PROVENTRY_EP') CREATE INDEX IDX_CAL_PRICE_PROVENTRY_EP ON T_CAL_PRICE_PROVENTRY ( FENDPERIOD);

   --  T_CAL_PRICE_REVBILL  存货跌价冲回单 {FID,FORGID,FPERIODID,FACCSETTINGID}
 EXEC P_ALTERPK 'PK_CAL_PRICE_REVBILL', 'T_CAL_PRICE_REVBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICE_REVBILL_OPA') CREATE INDEX IDX_CAL_PRICE_REVBILL_OPA ON T_CAL_PRICE_REVBILL ( FORGID,FPERIODID,FACCSETTINGID);
 
 --   T_CAL_PRICE_REVBILL_L  存货跌价冲回单多语言表 {FID,FLOCALEID}
 EXEC P_ALTERPK 'PK_CAL_PRICE_REVBILL_L', 'T_CAL_PRICE_REVBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICE_REVBILL_L_LO') CREATE INDEX IDX_CAL_PRICE_REVBILL_L_LO ON T_CAL_PRICE_REVBILL_L ( FLOCALEID);
 
  -- T_CAL_PRICEREVBILLENTRY  存货跌价冲回单分录  {FID,FENTRYID}
 EXEC P_ALTERPK 'PK_CAL_PRICEREVBILLENTRY', 'T_CAL_PRICEREVBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICEREVBILLENTRY_EI') CREATE INDEX IDX_CAL_PRICEREVBILLENTRY_EI ON T_CAL_PRICEREVBILLENTRY ( FID);





