﻿-- 殷政
-- 初始核算单相关表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INITBILL') 
 CREATE TABLE T_CAL_INITBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZENTITYOBJECT VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INITBILL_L') 
 CREATE TABLE T_CAL_INITBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INITBILLENTRY') 
 CREATE TABLE T_CAL_INITBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FWAREHSOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSIGNNUM INT DEFAULT 0 NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCBIZENTITYOBJECT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FYEARINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARINCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUECOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZBILLENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INITBILLENTRY_L') 
 CREATE TABLE T_CAL_INITBILLENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INITBILL_DETAIL') 
 CREATE TABLE T_CAL_INITBILL_DETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBYEARINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBYEARINCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBYEARINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBYEARISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBYEARISSUECOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBYEARISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL
);

