﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ACCOUNTGROUPRECORD') 
 CREATE TABLE T_CAL_ACCOUNTGROUPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FGROUPSETTINGID BIGINT DEFAULT 0 NOT NULL,
FISCOMPLETED CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FBIZGROUPRECORDID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULTENTRY' AND KSQL_COL_NAME ='FDIVIDEBASIS') 
 ALTER TABLE T_CAL_SORTRESULTENTRY ADD (FDIVIDEBASIS NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULTENTRY' AND KSQL_COL_NAME ='FCALDIMENSION') 
 ALTER TABLE T_CAL_SORTRESULTENTRY ADD (FCALDIMENSION NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULTENTRY' AND KSQL_COL_NAME ='FDIVIDEBASISVALUE') 
 ALTER TABLE T_CAL_SORTRESULTENTRY ADD (FDIVIDEBASISVALUE NVARCHAR(225) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULTENTRY' AND KSQL_COL_NAME ='FCALDIMENSIONVALUE') 
 ALTER TABLE T_CAL_SORTRESULTENTRY ADD (FCALDIMENSIONVALUE NVARCHAR(225) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULT' AND KSQL_COL_NAME ='FACCOUNTTYPE') 
 ALTER TABLE T_CAL_SORTRESULT ADD (FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY') 
 CREATE TABLE T_CAL_ATGROUPRECORD_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCALENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOSTRECORDENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FISBEFOREPERIOD CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FALLPRICESETTING' AND KSQL_COL_NAME ='FAPPROVETIME') 
 ALTER TABLE T_CAL_FALLPRICESETTING ADD (FAPPROVETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FALLPRICESETTING' AND KSQL_COL_NAME ='FAPPROVERID') 
 ALTER TABLE T_CAL_FALLPRICESETTING ADD (FAPPROVERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INITBILL_DETAIL' AND KSQL_COL_NAME ='FBASEUNITID') 
 ALTER TABLE T_CAL_INITBILL_DETAIL ADD (FBASEUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_PRICESCHEME_L' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_CAL_PRICESCHEME_L ADD (FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
