﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIFFALLOCRPTENTRY') 
 CREATE TABLE T_CAL_DIFFALLOCRPTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCREATETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSORTSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLTYPESTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBALANCESTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FOUTBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIFFALLOCRC') 
 CREATE TABLE T_CAL_DIFFALLOCRC (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FTIME BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FALLOCMODEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAM_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIFFALLOCRPT') 
 CREATE TABLE T_CAL_DIFFALLOCRPT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FALLOCTIME DATETIME,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FALLOCRECORDID BIGINT DEFAULT 0 NOT NULL,
FDIVIDEBASISVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALDIMENSIONVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FALLOCMODEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCARRYRULE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIFFALLOCRPTENTRYDT') 
 CREATE TABLE T_CAL_DIFFALLOCRPTENTRYDT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDTOUTSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDTOUTBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTADJBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
