--新增出库核算相关检查项
--牟润发8.25

--出库核算前检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (1228993229463118848,1228992954610377728,1228994215602709504,1228993844180313088,1228993451291468800,1236073916120795136);
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1228993229463118848, 'CALOUT-ITEM-02', 'kd.fi.cal.business.datacheck.item.CalOutAdjustStatusCheck', '1', '0','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1228992954610377728, 'CALOUT-ITEM-01', 'kd.fi.cal.business.datacheck.item.CalOutEstimateStatusCheck', '1', '0','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1228994215602709504, 'CALOUT-ITEM-05', 'kd.fi.cal.business.datacheck.item.CalOutRecordZeroCostCheck', '1', '1','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1228993844180313088, 'CALOUT-ITEM-04', 'kd.fi.cal.business.datacheck.item.CalOutRecordVoucherCheck', '1', '0','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1228993451291468800, 'CALOUT-ITEM-03', 'kd.fi.cal.business.datacheck.item.CalOutRecordStatusCheck', '1', '0','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1236073916120795136, 'CALOUT-ITEM-06', 'kd.fi.cal.business.datacheck.item.CalOutAdjustVoucherCheck', '1', '0','B');

DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID IN (1228993229463118848,1228992954610377728,1228994215602709504,1228993844180313088,1228993451291468800,1236073916120795136);
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+2MK+BZU9', 1228993229463118848, 'zh_CN', '成本调整单的单据状态检查', '检查未审核的成本调整单', '合法性检查异常，存在未审核的成本调整单，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+2MK+BZU=', 1228993229463118848, 'zh_TW', '成本調整單的單據狀態檢查', '檢查未審核的成本調整單', '合法性檢查異常，存在未審核的成本調整單，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+0MFNG22P', 1228992954610377728, 'zh_CN', '未暂估的费用暂估单检查', '检查暂估日期在当期并且还未进行暂估的费用暂估单', '合法性检查异常，请先处理当期费用暂估单，进行暂估，或者上查暂估应付单反审核、删除');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+0MFNG22Q', 1228992954610377728, 'zh_TW', '未暫估的費用暫估單檢查', '檢查暫估日期在當期並且還未進行暫估的費用暫估單', '合法性檢查異常，請先處理當期費用暫估單，進行暫估，或者上查暫估應付單反審核、刪除');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+9TTS/QDD', 1228994215602709504, 'zh_CN', '单据成本检查', '检查非成组的入库单且非赠品行的单位实际成本大于0的核算成本记录', '合法性检查异常，存在入库单非赠品行单位实际成本<=0的记录，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+9TTS/QDE', 1228994215602709504, 'zh_TW', '單據成本檢查', '檢查非成組的入庫單且非贈品行的單位實際成本大於0的核算成本記錄', '合法性檢查異常，存在入庫單非贈品行單位實際成本<=0的記錄，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+73939308', 1228993844180313088, 'zh_CN', '出库单据凭证生成检查', '检查出库类型的单据是否生成凭证', '合法性检查异常，存在已生成凭证的出库单，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+73939309', 1228993844180313088, 'zh_TW', '出庫單據憑證生成檢查', '檢查出庫類型的單據是否生成憑證', '合法性檢查異常，存在已生成憑證的出庫單，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+48LIH+PS', 1228993451291468800, 'zh_CN', '核算成本记录的单据状态检查', '检查未审核的核算成本记录', '合法性检查异常，存在未审核的核算成本记录，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1UZ+48LIH+PT', 1228993451291468800, 'zh_TW', '核算成本記錄的單據狀態檢查', '檢查未審核的核算成本記錄', '合法性檢查異常，存在未審核的核算成本記錄，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1VTX2GEN9BAS', 1236073916120795136, 'zh_CN', '核算生成的成本调整单已经生成凭证', '检查月末核算生成的成本调整单不能生成凭证', '合法性检查异常，存在已生成凭证的成本调整单，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1VTX2GEN9BAT', 1236073916120795136, 'zh_TW', '核算生成的成本調整單已經生成憑證', '檢查月末核算生成的成本調整單不能生成憑證', '合法性檢查異常，存在已生成憑證的成本調整單，請檢查並處理相關數據');

--出库核算后检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (1234048310617128960,1234049134135164928);
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1234048310617128960, 'CALOUT-ITEM-07', 'kd.fi.cal.business.datacheck.item.CalOutBalanceEndZeroCostCheck', '1', '1','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1234049134135164928, 'CALOUT-ITEM-08', 'kd.fi.cal.business.datacheck.item.CalOutRecordZeroPriceCheck', '1', '1','B');

DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID IN (1234048310617128960,1234049134135164928);
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1VK6LXVY3M2M', 1234048310617128960, 'zh_CN', '期末单价异常检查', '检查期末结存的单位实际成本小于0', '合法性检查异常，存在当期期末单价<0的物料, 请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1VK6LXVY3M2N', 1234048310617128960, 'zh_TW', '期末單價異常檢查', '檢查期末結存的單位實際成本小於0', '合法性檢查異常，存在當期期末單價<0的物料, 請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1VK6RXXD5TDQ', 1234049134135164928, 'zh_CN', '出库单位实际成本检查', '检查出库类型的单据单价要大于0', '合法性检查异常，存在当期出库单据的单位实际成本<=0, 请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1VK6RXXD5TDR', 1234049134135164928, 'zh_TW', '出庫單位實際成本檢查', '檢查出庫類型的單據單價要大於0', '合法性檢查異常，存在當期出庫單據的單位實際成本<=0, 請檢查並處理相關數據');

--自定义检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1239064964086499328;
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE, FBIZOBJECT, FCUSTOMFILTERTEXT, FCUSTOMFILTER_TAG, FEXPMSGFIELDS) VALUES (1239064964086499328, 'CUSTOM-ITEM-01', 'kd.fi.cal.business.datacheck.item.CustomDataCheck', '1', '1','A','cal_costrecord_subentity','单据体.赠品 等于 是   and    单据体.单位实际成本 不等于 0   and    核算单类型 等于 入库','{"expression":"","exprTran":"单据体.赠品 等于 是   and    单据体.单位实际成本 不等于 0   and    核算单类型 等于 入库","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"1W673XX+=W38","leftBracket":"","compareType":"105","fieldName":"ispresent","rightBracket":"","logic":"0","value":[{"id":"1W673XX1YDB=","value":"1"}],"baseDataIds":[]},{"id":"1W673XX1Y==R","leftBracket":"","compareType":"83","fieldName":"unitactualcost","rightBracket":"","logic":"0","value":[{"id":"1W673XX1YDBA","value":"0"}],"baseDataIds":[]},{"id":"1W673XX1Y==S","leftBracket":"","compareType":"105","fieldName":"calbilltype","rightBracket":"","logic":"0","value":[{"id":"1W673XX1YDBB","value":"IN"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"1W673XX+=W38\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"ispresent\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"1W673XX1YDB=\",\"value\":\"1\"}],\"baseDataIds\":[]},{\"id\":\"1W673XX1Y==R\",\"leftBracket\":\"\",\"compareType\":\"83\",\"fieldName\":\"unitactualcost\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"1W673XX1YDBA\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"1W673XX1Y==S\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"calbilltype\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"1W673XX1YDBB\",\"value\":\"IN\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"单据体.赠品 等于 是   and    单据体.单位实际成本 不等于 0   and    核算单类型 等于 入库","localeExprTran":{"zh_CN":"单据体.赠品 等于 是   and    单据体.单位实际成本 不等于 0   and    核算单类型 等于 入库"}}',',billno,');

--期末结存数量小于0检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1239067777936001024;
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1239067777936001024, 'CALOUT-ITEM-09', 'kd.fi.cal.business.datacheck.item.CalOutBalanceEndQtyCheck', '1', '1','B');

DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID IN (1239064964086499328,1239067777936001024);
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1W67Z6AOGZYU', 1239064964086499328, 'zh_CN', '赠品单价为0检查', '检查赠品实际成本是否为0', '合法性检查异常，存在赠品标识物料的实际成本不为0,请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1W67Z6AOGZYV', 1239064964086499328, 'zh_TW', '贈品單價為0檢查', '檢查贈品實際成本是否為0', '合法性檢查異常，存在贈品標識物料的實際成本不為0,請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1W68GP/+B/AT', 1239067777936001024, 'zh_CN', '期末结存数量为负数检查', '检查当期期末结存数量要大于等于0', '合法性检查异常，存在当期的期末结存数量<0的数据，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('1W68GP/+B/AU', 1239067777936001024, 'zh_TW', '期末結存數量為負數檢查', '檢查當期期末結存數量要大於等於0', '合法性檢查異常，存在當期的期末結存數量<0的數據，請檢查並處理相關數據');







