﻿/** 预置定时清除余额更新日志调度任务 **/

 -- 调度任务
DELETE FROM t_sch_taskdefine WHERE FID='1Y8F7057F+4O';
INSERT INTO t_sch_taskdefine (fid, fclassname, fnumber, fappid) VALUES ('1Y8F7057F+4O', 'kd.fi.cal.business.balance.recal.CalBalAutoUpdateTask', 'CalBalAutoUpdateTask', 'cal');


DELETE FROM t_sch_taskdefine_l WHERE FID='1Y8F7057F+4O';
INSERT INTO t_sch_taskdefine_l (fpkid, fid, flocaleid, fname) VALUES ('1Y8F7057FE+2', '1Y8F7057F+4O', 'zh_CN', '核算余额表自动升级');
INSERT INTO t_sch_taskdefine_l (fpkid, fid, flocaleid, fname) VALUES ('1Y8F7057FE+3', '1Y8F7057F+4O', 'zh_TW', '核算餘額表自動升級');



 -- 调度作业
DELETE FROM t_sch_job WHERE FID='1Y8FA9JUF995';
INSERT INTO t_sch_job (fid, fjobtype, ftaskclassname, frunbyuserid, fnumber, ftaskdefineid, fstatus, fparams, ftimeout, frunbyorgid, frunbylang, fconcurrent, frunmode, fstrategy, fretrytime, fcanstop) VALUES
('1Y8FA9JUF995', 'BIZ', 'kd.fi.cal.business.balance.recal.CalBalAutoUpdateTask', 13466739, 'cal_CalBalAutoUpdateTask_SKDJ_S', '1Y8F7057F+4O', '1', '{}', 0, 0, ' ', '0', '0', '1', 0, '0');


DELETE FROM T_SCH_JOB_L WHERE FID='1Y8FA9JUF995';
INSERT INTO t_sch_job_l (fpkid, fid, flocaleid, fname) VALUES ('1Y8FA9JUFP2K', '1Y8FA9JUF995', 'zh_CN', '核算余额表自动升级');
INSERT INTO t_sch_job_l (fpkid, fid, flocaleid, fname) VALUES ('1Y8FA9JUFP2L', '1Y8FA9JUF995', 'zh_TW', '核算餘額表自動升級');





 -- 调度计划
DELETE FROM t_sch_schedule WHERE FID='1Y8FKR9VN2M5';
INSERT INTO t_sch_schedule (fid, fjobid, fstarttime, fendtime, fplan, fnumber, fstatus, fcyclenum, fhost, fsun, fsat, ffri, fthur, fwed, ftues, fmon, fone, ftwo, fthirtyone, fthirty, ftwentynine, ftwentyeight, ftwentyseven, ftwentysix, ftwentyfive, ftwentyfour, ftwentythree, ftwentytwo, ftwentyone, ftwenty, fnineteen, feighteen, fseventeen, fsixteen, ffifteen, ffourteen, fthirteen, ftwelve, feleven, ften, fnine, feight, fseven, fsix, ffive, ffour, fthree, fno, fnoweek, fjan, fdec, fnov, foct, fsep, faug, fjul, fjun, fmay, fapr, fmar, ffeb, fbyweek, fbydayorweek, fdesc, frepeatmode) VALUES
('1Y8FKR9VN2M5', '1Y8FA9JUF995', {ts'2021-09-29 00:00:00'}, {ts'2099-12-31 16:26:44'}, '0 0 0 29/2 * ?', 'CalBalAutoUpdateTask', '0', 2, '172.19.110.167', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-09-29 00:00:00起，
每月29日开始每2天0时重复。
预计最近十次执行时间：
2021-09-29 00:00:00,
2021-10-29 00:00:00,
2021-10-31 00:00:00,
2021-11-29 00:00:00,
2021-12-29 00:00:00,
2021-12-31 00:00:00,
2022-01-29 00:00:00,
2022-01-31 00:00:00,
2022-03-29 00:00:00,
2022-03-31 00:00:00', 'd');



DELETE FROM t_sch_schedule_l WHERE FID='1Y8FKR9VN2M5';
INSERT INTO t_sch_schedule_l (fpkid, fid, flocaleid, fname) VALUES ('1Y8FKR9VNIFK', '1Y8FKR9VN2M5', 'zh_CN', '核算余额表自动升级');
INSERT INTO t_sch_schedule_l (fpkid, fid, flocaleid, fname) VALUES ('1Y8FKR9VNIFL', '1Y8FKR9VN2M5', 'zh_TW', '核算餘額表自動升級');


DELETE FROM t_sch_schedule_entry WHERE FID='1Y8FKR9VN2M5';
INSERT INTO t_sch_schedule_entry (fid, fentryid, fseq, fjobnumber) VALUES ('1Y8FKR9VN2M5', '1Y8FKR9VN2M6', 1, '1Y8FA9JUF995');


/** 预置定时清除余额更新日志调度任务 **/


