-- 调度任务 核算自动处理异常核销
-- 牟润发2022.1.12

--调度任务类名
DELETE FROM t_sch_taskdefine WHERE FID = '24531UEQAVWP';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('24531UEQAVWP','kd.fi.cal.formplugin.setting.CalAutoRepairWriteOffTask','cal','CalAutoRepairWTF');

-- 调度任务类名多语言
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '24531UEQAYKQ';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('24531UEQAVWP', '24531UEQAYKQ', 'zh_CN', '核算自动修复异常核销');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '24531UEQAYKR';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('24531UEQAVWP', '24531UEQAYKR', 'zh_TW', '核算自動修複異常核銷');


-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '25L1HDA4W/EL';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('25L1HDA4W/EL','kd.fi.cal.formplugin.setting.CalAutoRepairWriteOffTask','24531UEQAVWP','0',100431,'BIZ','1','cal_CalAutoRepairWtf_SKDJ_S','0','1',0,0,' ','{"bookdatedayrange":"40","repairSalOut":"true"}',0);

-- 调度作业多语言
DELETE FROM T_SCH_JOB_L WHERE FPKID = '25L1HDA4X0U+';
INSERT INTO T_SCH_JOB_L(FPKID,FID,FLOCALEID,FNAME) VALUES ('25L1HDA4X0U+', '25L1HDA4W/EL', 'zh_CN', '核算修复异常核销');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '25L1HDA4X0U/';
INSERT INTO T_SCH_JOB_L(FPKID,FID,FLOCALEID,FNAME) VALUES ('25L1HDA4X0U/', '25L1HDA4W/EL', 'zh_TW', '核算修複異常核銷');

-- 调度作业通知
DELETE FROM T_SCH_JOB_n WHERE FID = '25L1HDA4W/EL';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('25L1HDA4W/EL',0,'0',' ','1',' ','调度作业通知');


-- 自定义参数
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2453EI9R/4V4';
DELETE FROM T_SCH_JOBPARAMS WHERE FID = '25L1HDA4W/EL';
INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME,FPARAMTYPE) VALUES ('25L1HDA4W/EL','25L1HDA4W/EG',1,'40','bookdatedayrange','0');
INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME,FPARAMTYPE) VALUES ('25L1HDA4W/EL','2BF3JOP8O9LD',2,'true','repairSalOut','7');


-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '2453OKEHNWHH';
INSERT INTO T_SCH_SCHEDULE
(fid, fjobid, fstarttime, fendtime, fplan, fnumber, fstatus, fcyclenum, fhost, fsun, fsat, ffri, fthur, fwed, ftues, fmon, fone, ftwo, fthirtyone, fthirty, ftwentynine, ftwentyeight, ftwentyseven, ftwentysix, ftwentyfive, ftwentyfour, ftwentythree, ftwentytwo, ftwentyone, ftwenty, fnineteen, feighteen, fseventeen, fsixteen, ffifteen, ffourteen, fthirteen, ftwelve, feleven, ften, fnine, feight, fseven, fsix, ffive, ffour, fthree, fno, fnoweek, fjan, fdec, fnov, foct, fsep, faug, fjul, fjun, fmay, fapr, fmar, ffeb, fbyweek, fbydayorweek, fdesc, frepeatmode)
VALUES('2453OKEHNWHH', '25L1HDA4W/EL', {ts'2000-01-01 00:00:00'}, {ts'2999-12-31 23:59:59'}, '0 0 1 * * ?', 'cal_CalAutoRepairWtf_SKDP_S', '1', 1, ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2000-01-01 00:00:00起，每1天1时重复。
预计最近十次执行时间：
2000-01-01 01:00:00,
2000-01-02 01:00:00,
2000-01-03 01:00:00,
2000-01-04 01:00:00,
2000-01-05 01:00:00,
2000-01-06 01:00:00,
2000-01-07 01:00:00,
2000-01-08 01:00:00,
2000-01-09 01:00:00,
2000-01-10 01:00:00', 'd');



-- 调度计划多语言
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '2453OKEHNZ6I';
INSERT INTO T_SCH_SCHEDULE_l(FPKID,FID,FLOCALEID,FNAME) VALUES ('2453OKEHNZ6I', '2453OKEHNWHH', 'zh_CN', '核算修复异常核销');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '2453OKEHNZ6J';
INSERT INTO T_SCH_SCHEDULE_l(FPKID,FID,FLOCALEID,FNAME) VALUES ('2453OKEHNZ6J', '2453OKEHNWHH', 'zh_TW', '核算修複異常核銷');


-- 调度计划分录(调度作业)
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '25L1KA01JWKI';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('2453OKEHNWHH','25L1HDA4W/EL','25L1KA01JWKI',1);







