-- 新增凭证检查项、关账结算状态检查项
-- 牟润发 0428

--删除原有检查项 DC-ITEM-20 凭证检查
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1266484088253048832;
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID = 1266484088253048832;
DELETE FROM T_CAL_DATACHECK_TASKENTRY WHERE FENTRYID = 1266491584942303233;
DELETE FROM T_CAL_CHECK_RESULTENTRY WHERE FCHECKITEMID = 1266484088253048832;

--新增凭证检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (1404961232611612672,1404963471740803072,1407273728257039360,1407275751706924032,1407276189424547840,1407276708494833664,1407277203657528320,1407277600170309632,1407278650650523648,1407279192487433216,1407280034938557440,1407281140666202112,1407282761496204288,1407283004270966784);
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1404961232611612672, 'DC-ITEM-27', 'kd.fi.cal.business.datacheck.item.CustomDataCheck', '1', '0', '采购正式凭证检查(差额调整-采购、简单委外)', '检查差额调整下的核算成本记录（采购入库单、委外入库单）的凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的正式凭证并处理相关数据', 'A', 'cal_costrecord_subentity', '单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 差额调整   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否', ' ', '{"expression":"","exprTran":"单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 差额调整   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2DK/RG0QLFV8","leftBracket":"","compareType":"17","fieldName":"billtype.number","rightBracket":"","logic":"0","value":[{"id":"2DK/RG0U8031","value":"im_PurInBill_STD_BT_S"},{"id":"2DK/RG0U7W0R","value":"im_mdc_ominbill_BT_S"}],"baseDataIds":[{"id":"2DK/RG0U8032","value":"366348248593474560"},{"id":"2DK/RG0U7W0S","value":"989772873411359744"}]},{"id":"2DK/RG0U8033","leftBracket":"","compareType":"105","fieldName":"dischargetype","rightBracket":"","logic":"0","value":[{"id":"2DK/RG0U7W0T","value":"C"}],"baseDataIds":[]},{"id":"2DK/RG0U8034","leftBracket":"","compareType":"105","fieldName":"issplitcreate","rightBracket":"","logic":"0","value":[{"id":"2DK/RG0U7W0U","value":"0"}],"baseDataIds":[]},{"id":"2DK/RG0U8035","leftBracket":"","compareType":"105","fieldName":"isfivoucher","rightBracket":"","logic":"0","value":[{"id":"2DK/RG0U7W0V","value":"0"}],"baseDataIds":[]},{"id":"2DK/RG0U8036","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2DK/RG0U7W0W","value":"C"}],"baseDataIds":[]},{"id":"2DK/RG0U8037","leftBracket":"","compareType":"105","fieldName":"isinitbill","rightBracket":"","logic":"0","value":[{"id":"2DK/RG0U7W0X","value":"0"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2DK/RG0QLFV8\",\"leftBracket\":\"\",\"compareType\":\"17\",\"fieldName\":\"billtype.number\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK/RG0U8031\",\"value\":\"im_PurInBill_STD_BT_S\"},{\"id\":\"2DK/RG0U7W0R\",\"value\":\"im_mdc_ominbill_BT_S\"}],\"baseDataIds\":[{\"id\":\"2DK/RG0U8032\",\"value\":\"366348248593474560\"},{\"id\":\"2DK/RG0U7W0S\",\"value\":\"989772873411359744\"}]},{\"id\":\"2DK/RG0U8033\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"dischargetype\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK/RG0U7W0T\",\"value\":\"C\"}],\"baseDataIds\":[]},{\"id\":\"2DK/RG0U8034\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"issplitcreate\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK/RG0U7W0U\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DK/RG0U8035\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"isfivoucher\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK/RG0U7W0V\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DK/RG0U8036\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK/RG0U7W0W\",\"value\":\"C\"}],\"baseDataIds\":[]},{\"id\":\"2DK/RG0U8037\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"isinitbill\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK/RG0U7W0X\",\"value\":\"0\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 差额调整   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否","localeExprTran":{"zh_CN":"单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 差额调整   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否"}}', ',calorg,costaccount,billno,');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1404963471740803072, 'DC-ITEM-28', 'kd.fi.cal.business.datacheck.item.CustomDataCheck', '1', '0', '采购暂估凭证检查（单到冲回-采购、简单委外）', '检查单到冲回下的核算成本记录（采购入库单、委外入库单）的暂估凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的暂估凭证并处理相关数据', 'A', 'cal_costrecord_subentity', '单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 单到冲回   and    核销状态 等于 未核销   and    是否生成暂估凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否', ' ', '{"expression":"","exprTran":"单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 单到冲回   and    核销状态 等于 未核销   and    是否生成暂估凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2DK0B4QIPIPP","leftBracket":"","compareType":"17","fieldName":"billtype.number","rightBracket":"","logic":"0","value":[{"id":"2DK0B4QIPCND","value":"im_PurInBill_STD_BT_S"},{"id":"2DK0B4QIPIPQ","value":"im_mdc_ominbill_BT_S"}],"baseDataIds":[{"id":"2DK0B4QIPCNE","value":"366348248593474560"},{"id":"2DK0B4QIPIPR","value":"989772873411359744"}]},{"id":"2DK0B4QIPCNF","leftBracket":"","compareType":"105","fieldName":"dischargetype","rightBracket":"","logic":"0","value":[{"id":"2DK0B4QIPIPS","value":"A"}],"baseDataIds":[]},{"id":"2DK0B4QIPCNG","leftBracket":"","compareType":"105","fieldName":"writeoffstatus","rightBracket":"","logic":"0","value":[{"id":"2DK0B4QIPIPT","value":"B"}],"baseDataIds":[]},{"id":"2DK0B4QIPCNH","leftBracket":"","compareType":"105","fieldName":"istempvoucher","rightBracket":"","logic":"0","value":[{"id":"2DK0B4QIPIPU","value":"0"}],"baseDataIds":[]},{"id":"2DK0B4QIPCNI","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2DK0B4QIPIPV","value":"C"}],"baseDataIds":[]},{"id":"2DK0B4QIPCNJ","leftBracket":"","compareType":"105","fieldName":"isinitbill","rightBracket":"","logic":"0","value":[{"id":"2DK0B4QIPIPW","value":"0"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2DK0B4QIPIPP\",\"leftBracket\":\"\",\"compareType\":\"17\",\"fieldName\":\"billtype.number\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK0B4QIPCND\",\"value\":\"im_PurInBill_STD_BT_S\"},{\"id\":\"2DK0B4QIPIPQ\",\"value\":\"im_mdc_ominbill_BT_S\"}],\"baseDataIds\":[{\"id\":\"2DK0B4QIPCNE\",\"value\":\"366348248593474560\"},{\"id\":\"2DK0B4QIPIPR\",\"value\":\"989772873411359744\"}]},{\"id\":\"2DK0B4QIPCNF\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"dischargetype\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK0B4QIPIPS\",\"value\":\"A\"}],\"baseDataIds\":[]},{\"id\":\"2DK0B4QIPCNG\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"writeoffstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK0B4QIPIPT\",\"value\":\"B\"}],\"baseDataIds\":[]},{\"id\":\"2DK0B4QIPCNH\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"istempvoucher\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK0B4QIPIPU\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DK0B4QIPCNI\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK0B4QIPIPV\",\"value\":\"C\"}],\"baseDataIds\":[]},{\"id\":\"2DK0B4QIPCNJ\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"isinitbill\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DK0B4QIPIPW\",\"value\":\"0\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 单到冲回   and    核销状态 等于 未核销   and    是否生成暂估凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否","localeExprTran":{"zh_CN":"单据类型.编码 在……中 (''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    冲回方式 等于 单到冲回   and    核销状态 等于 未核销   and    是否生成暂估凭证 等于 否   and    单据状态 等于 已审核   and    初始化单据 等于 否"}}', ',calorg,costaccount,billno,');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407273728257039360, 'DC-ITEM-29', 'kd.fi.cal.business.datacheck.item.Voucher4PurBackDataCheck', '1', '0', '采购冲回凭证（单到冲回-采购、简单委外）', '检查单到冲回下的核算成本记录（采购入库单、委外入库单）的冲回凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的冲回凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407275751706924032, 'DC-ITEM-30', 'kd.fi.cal.business.datacheck.item.Voucher4PurStandardDataCheck', '1', '0', '采购正式凭证（单到冲回或月初冲回-红蓝核销的采购、简单委外）', '检查单到冲回或者月初一次冲回下的核算成本记录（采购入库单、委外入库单）的正式凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的正式凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407276189424547840, 'DC-ITEM-31', 'kd.fi.cal.business.datacheck.item.Voucher4PurFeeDataCheck', '1', '0', '采购费用凭证（单到冲回或月初冲回-采购）', '检查单到冲回或者月初一次冲回下的核算成本记录（采购入库单）的费用凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单）的费用凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407276708494833664, 'DC-ITEM-32', 'kd.fi.cal.business.datacheck.item.Voucher4OMInFeeDataCheck', '1', '0', '采购费用凭证（单到冲回或月初冲回-简单委外）', '检查单到冲回或者月初一次冲回下的核算成本记录（简单委外入库单）的费用凭证是否生成', '合法性检查异常：请检查当期核算成本记录（简单委外入库单）的费用凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407277203657528320, 'DC-ITEM-33', 'kd.fi.cal.business.datacheck.item.Voucher4PurTempDataCheck', '1', '0', '采购暂估凭证（月初一次冲回-采购、委外）', '检查月初一次冲回下的核算成本记录（采购入库单、委外入库单）的暂估凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的暂估凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407277600170309632, 'DC-ITEM-34', 'kd.fi.cal.business.datacheck.item.Voucher4PurBeginBackDataCheck', '1', '0', '采购冲回凭证（月初一次冲回-采购、委外）', '检查月初一次冲回下的核算成本记录（采购入库单、委外入库单）的冲回凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的冲回凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407278650650523648, 'DC-ITEM-35', 'kd.fi.cal.business.datacheck.item.CustomDataCheck', '1', '0', '核算成本记录(销售发出凭证)', '检查核算成本记录（销售出库单）的发出凭证是否生成', '合法性检查异常：请检查当期核算成本记录（销售出库单）的发出凭证并处理相关数据', 'A', 'cal_costrecord_subentity', '单据类型.编码 等于 im_SalOutBill_STD_BT_S   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核', ' ', '{"expression":"","exprTran":"单据类型.编码 等于 im_SalOutBill_STD_BT_S   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2DV3YDU7VQ9Z","leftBracket":"","compareType":"67","fieldName":"billtype.number","rightBracket":"","logic":"0","value":[{"id":"2DV3YDUAG52V","value":"im_SalOutBill_STD_BT_S"}],"baseDataIds":[{"id":"2DV3YDUAH4GG","value":"452682831861140480"}]},{"id":"2DV3YDUAG52W","leftBracket":"","compareType":"105","fieldName":"issplitcreate","rightBracket":"","logic":"0","value":[{"id":"2DV3YDUAH4GH","value":"0"}],"baseDataIds":[]},{"id":"2DV3YDUAG52X","leftBracket":"","compareType":"105","fieldName":"isfivoucher","rightBracket":"","logic":"0","value":[{"id":"2DV3YDUAH4GI","value":"0"}],"baseDataIds":[]},{"id":"2DV3YDUAG52Y","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2DV3YDUAH4GJ","value":"C"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2DV3YDU7VQ9Z\",\"leftBracket\":\"\",\"compareType\":\"67\",\"fieldName\":\"billtype.number\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV3YDUAG52V\",\"value\":\"im_SalOutBill_STD_BT_S\"}],\"baseDataIds\":[{\"id\":\"2DV3YDUAH4GG\",\"value\":\"452682831861140480\"}]},{\"id\":\"2DV3YDUAG52W\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"issplitcreate\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV3YDUAH4GH\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DV3YDUAG52X\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"isfivoucher\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV3YDUAH4GI\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DV3YDUAG52Y\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV3YDUAH4GJ\",\"value\":\"C\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"单据类型.编码 等于 im_SalOutBill_STD_BT_S   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核","localeExprTran":{"zh_CN":"单据类型.编码 等于 im_SalOutBill_STD_BT_S   and    是否拆单生成 等于 否   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核"}}', ',calorg,costaccount,billno,');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407279192487433216, 'DC-ITEM-36', 'kd.fi.cal.business.datacheck.item.Voucher4SalRecordDataCheck', '1', '0', '核算成本记录(销售成本结转凭证)', '检查核算成本记录（销售出库单）的成本结转凭证是否生成', '合法性检查异常：请检查当期核算成本记录（销售出库单）的成本结转凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407280034938557440, 'DC-ITEM-37', 'kd.fi.cal.business.datacheck.item.CustomDataCheck', '1', '0', '核算成本记录(非采购销售单据)的凭证', '检查核算成本记录（非采购销售单据）的凭证是否生成', '合法性检查异常：请检查当期核算成本记录（非采购销售单据）的凭证并处理相关数据', 'A', 'cal_costrecord_subentity', '单据类型.编码 不在……中 (''im_SalOutBill_STD_BT_S'',''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核', ' ', '{"expression":"","exprTran":"单据类型.编码 不在……中 (''im_SalOutBill_STD_BT_S'',''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2DV46JR5HT6I","leftBracket":"","compareType":"34","fieldName":"billtype.number","rightBracket":"","logic":"0","value":[{"id":"2DV46JR5ISK4","value":"im_SalOutBill_STD_BT_S"},{"id":"2DV46JR5HT6J","value":"im_PurInBill_STD_BT_S"},{"id":"2DV46JR5ISK5","value":"im_mdc_ominbill_BT_S"}],"baseDataIds":[{"id":"2DV46JR5HT6K","value":"452682831861140480"},{"id":"2DV46JR5ISK6","value":"366348248593474560"},{"id":"2DV46JR5HT6L","value":"989772873411359744"}]},{"id":"2DV46JR5ISK7","leftBracket":"","compareType":"105","fieldName":"isfivoucher","rightBracket":"","logic":"0","value":[{"id":"2DV46JR5HT6M","value":"0"}],"baseDataIds":[]},{"id":"2DV46JR5ISK8","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2DV46JR5HT6N","value":"C"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2DV46JR5HT6I\",\"leftBracket\":\"\",\"compareType\":\"34\",\"fieldName\":\"billtype.number\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV46JR5ISK4\",\"value\":\"im_SalOutBill_STD_BT_S\"},{\"id\":\"2DV46JR5HT6J\",\"value\":\"im_PurInBill_STD_BT_S\"},{\"id\":\"2DV46JR5ISK5\",\"value\":\"im_mdc_ominbill_BT_S\"}],\"baseDataIds\":[{\"id\":\"2DV46JR5HT6K\",\"value\":\"452682831861140480\"},{\"id\":\"2DV46JR5ISK6\",\"value\":\"366348248593474560\"},{\"id\":\"2DV46JR5HT6L\",\"value\":\"989772873411359744\"}]},{\"id\":\"2DV46JR5ISK7\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"isfivoucher\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV46JR5HT6M\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DV46JR5ISK8\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV46JR5HT6N\",\"value\":\"C\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"单据类型.编码 不在……中 (''im_SalOutBill_STD_BT_S'',''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核","localeExprTran":{"zh_CN":"单据类型.编码 不在……中 (''im_SalOutBill_STD_BT_S'',''im_PurInBill_STD_BT_S'',''im_mdc_ominbill_BT_S'')   and    是否生成正式凭证 等于 否   and    单据状态 等于 已审核"}}', ',calorg,costaccount,billno,');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407281140666202112, 'DC-ITEM-38', 'kd.fi.cal.business.datacheck.item.CustomDataCheck', '1', '0', '成本调整单的凭证检查', '检查成本调整单的凭证是否生成', '合法性检查异常：请检查成本调整单的凭证并处理相关数据', 'A', 'cal_costadjust_subentity', '是否生成凭证 等于 否   and    单据状态 等于 已审核', ' ', '{"expression":"","exprTran":"是否生成凭证 等于 否   and    单据状态 等于 已审核","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2DV4CU83P+5J","leftBracket":"","compareType":"105","fieldName":"isvoucher","rightBracket":"","logic":"0","value":[{"id":"2DV4CU83PZJ5","value":"0"}],"baseDataIds":[]},{"id":"2DV4CU83P+5K","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2DV4CU83PZJ6","value":"C"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2DV4CU83P+5J\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"isvoucher\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV4CU83PZJ5\",\"value\":\"0\"}],\"baseDataIds\":[]},{\"id\":\"2DV4CU83P+5K\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2DV4CU83PZJ6\",\"value\":\"C\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"是否生成凭证 等于 否   and    单据状态 等于 已审核","localeExprTran":{"zh_CN":"是否生成凭证 等于 否   and    单据状态 等于 已审核"}}', ',calorg,costaccount,billno,');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407282761496204288, 'DC-ITEM-39', 'kd.fi.cal.business.datacheck.item.Voucher4ProvBillDataCheck', '1', '0', '存货跌价计提单的凭证检查', '检查存货跌价计提单的凭证是否生成', '合法性检查异常：请检查存货跌价计提单的凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1407283004270966784, 'DC-ITEM-40', 'kd.fi.cal.business.datacheck.item.Voucher4RevBillDataCheck', '1', '0', '存货跌价冲回单的凭证检查', '检查存货跌价冲回单的凭证是否生成', '合法性检查异常：请检查存货跌价冲回单的凭证并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');


--多语言表
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID IN (1404961232611612672,1404963471740803072,1407273728257039360,1407275751706924032,1407276189424547840,1407276708494833664,1407277203657528320,1407277600170309632,1407278650650523648,1407279192487433216,1407280034938557440,1407281140666202112,1407282761496204288,1407283004270966784);
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV30KHVYX76', 1407273728257039360, 'zh_CN', '采购冲回凭证（单到冲回-采购、简单委外）', '检查单到冲回下的核算成本记录（采购入库单、委外入库单）的冲回凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的冲回凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV30KHVYX77', 1407273728257039360, 'zh_TW', '采購衝回憑證（單到衝回-采購、簡單委外）', '檢查單到衝回下的核算成本記錄（采購入庫單、委外入庫單）的衝回憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單、委外入庫單）的衝回憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DK/ZG+1KRC8', 1404961232611612672, 'zh_CN', '采购正式凭证检查(差额调整-采购、简单委外)', '检查差额调整下的核算成本记录（采购入库单、委外入库单）的凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的正式凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DK/ZG+1KRC9', 1404961232611612672, 'zh_TW', '采購正式憑證檢查(差額調整-采購、簡單委外)', '檢查差額調整下的核算成本記錄（采購入庫單、委外入庫單）的憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單、委外入庫單）的正式憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DK0CSAFTWUV', 1404963471740803072, 'zh_TW', '采購暫估憑證檢查（單到衝回-采購、簡單委外）', '檢查單到衝回下的核算成本記錄（采購入庫單、委外入庫單）的暫估憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單、委外入庫單）的暫估憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DK0CSAFTWUW', 1404963471740803072, 'zh_CN', '采购暂估凭证检查（单到冲回-采购、简单委外）', '检查单到冲回下的核算成本记录（采购入库单、委外入库单）的暂估凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的暂估凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3EAJSC1M7', 1407275751706924032, 'zh_CN', '采购正式凭证（单到冲回或月初冲回-红蓝核销的采购、简单委外）', '检查单到冲回或者月初一次冲回下的核算成本记录（采购入库单、委外入库单）的正式凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的正式凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3EAJSC1M8', 1407275751706924032, 'zh_TW', '采購正式憑證（單到衝回或月初衝回-紅藍核銷的采購、簡單委外）', '檢查單到衝回或者月初一次衝回下的核算成本記錄（采購入庫單、委外入庫單）的正式憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單、委外入庫單）的正式憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3HHZ7M//K', 1407276189424547840, 'zh_TW', '采購費用憑證（單到衝回或月初衝回-采購）', '檢查單到衝回或者月初一次衝回下的核算成本記錄（采購入庫單）的費用憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單）的費用憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3HHZ7M//L', 1407276189424547840, 'zh_CN', '采购费用凭证（单到冲回或月初冲回-采购）', '检查单到冲回或者月初一次冲回下的核算成本记录（采购入库单）的费用凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单）的费用凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3L=GB4GZW', 1407276708494833664, 'zh_CN', '采购费用凭证（单到冲回或月初冲回-简单委外）', '检查单到冲回或者月初一次冲回下的核算成本记录（简单委外入库单）的费用凭证是否生成', '合法性检查异常：请检查当期核算成本记录（简单委外入库单）的费用凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3L=GB4GZX', 1407276708494833664, 'zh_TW', '采購費用憑證（單到衝回或月初衝回-簡單委外）', '檢查單到衝回或者月初一次衝回下的核算成本記錄（簡單委外入庫單）的費用憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（簡單委外入庫單）的費用憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3OX6GHN=9', 1407277203657528320, 'zh_TW', '采購暫估憑證（月初一次衝回-采購、委外）', '檢查月初一次衝回下的核算成本記錄（采購入庫單、委外入庫單）的暫估憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單、委外入庫單）的暫估憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3OX6GHN==', 1407277203657528320, 'zh_CN', '采购暂估凭证（月初一次冲回-采购、委外）', '检查月初一次冲回下的核算成本记录（采购入库单、委外入库单）的暂估凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的暂估凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3RSW7P4FN', 1407277600170309632, 'zh_TW', '采購衝回憑證（月初一次衝回-采購、委外）', '檢查月初一次衝回下的核算成本記錄（采購入庫單、委外入庫單）的衝回憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（采購入庫單、委外入庫單）的衝回憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3RSW7P4FO', 1407277600170309632, 'zh_CN', '采购冲回凭证（月初一次冲回-采购、委外）', '检查月初一次冲回下的核算成本记录（采购入库单、委外入库单）的冲回凭证是否生成', '合法性检查异常：请检查当期核算成本记录（采购入库单、委外入库单）的冲回凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3ZFE7MVQM', 1407278650650523648, 'zh_TW', '核算成本記錄(銷售發出憑證)', '檢查核算成本記錄（銷售出庫單）的發出憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（銷售出庫單）的發出憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV3ZFE7MVQN', 1407278650650523648, 'zh_CN', '核算成本记录(销售发出凭证)', '检查核算成本记录（销售出库单）的发出凭证是否生成', '合法性检查异常：请检查当期核算成本记录（销售出库单）的发出凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV41DDO85WB', 1407279192487433216, 'zh_TW', '核算成本記錄(銷售成本結轉憑證)', '檢查核算成本記錄（銷售出庫單）的成本結轉憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（銷售出庫單）的成本結轉憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV41DDO85WC', 1407279192487433216, 'zh_CN', '核算成本记录(销售成本结转凭证)', '检查核算成本记录（销售出库单）的成本结转凭证是否生成', '合法性检查异常：请检查当期核算成本记录（销售出库单）的成本结转凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV47IU+8FZW', 1407280034938557440, 'zh_TW', '核算成本記錄(非采購銷售單據)的憑證', '檢查核算成本記錄（非采購銷售單據）的憑證是否生成', '合法性檢查異常：請檢查當期核算成本記錄（非采購銷售單據）的憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV47IU+8FZX', 1407280034938557440, 'zh_CN', '核算成本记录(非采购销售单据)的凭证', '检查核算成本记录（非采购销售单据）的凭证是否生成', '合法性检查异常：请检查当期核算成本记录（非采购销售单据）的凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV4EL1A6OKO', 1407281140666202112, 'zh_TW', '成本調整單的憑證檢查', '檢查成本調整單的憑證是否生成', '合法性檢查異常：請檢查成本調整單的憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV4EL1A6OKP', 1407281140666202112, 'zh_CN', '成本调整单的凭证检查', '检查成本调整单的凭证是否生成', '合法性检查异常：请检查成本调整单的凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV4QDOSLZSF', 1407282761496204288, 'zh_TW', '存貨跌價計提單的憑證檢查', '檢查存貨跌價計提單的憑證是否生成', '合法性檢查異常：請檢查存貨跌價計提單的憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV4QDOSLZSG', 1407282761496204288, 'zh_CN', '存货跌价计提单的凭证检查', '检查存货跌价计提单的凭证是否生成', '合法性检查异常：请检查存货跌价计提单的凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV4S5OKJ5HC', 1407283004270966784, 'zh_TW', '存貨跌價衝回單的憑證檢查', '檢查存貨跌價衝回單的憑證是否生成', '合法性檢查異常：請檢查存貨跌價衝回單的憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2DV4S5OKJ5HD', 1407283004270966784, 'zh_CN', '存货跌价冲回单的凭证检查', '检查存货跌价冲回单的凭证是否生成', '合法性检查异常：请检查存货跌价冲回单的凭证并处理相关数据');

--结账检查任务新增检查项
DELETE FROM T_CAL_DATACHECK_TASKENTRY WHERE FENTRYID IN (1408531620906058752,1408531620906058753,1408531620906058754,1408531620906058755,1408531620906058756,1408531620906058757,1408531620906058758,1408531620906058759,1408531620906058760,1408531620906058761,1408531620906058762,1408531620906058763,1408531620906058764,1408531620906058765);
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058752, 1266490172376219648, 24, 1404961232611612672, '1', 'B', '1',  '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058753, 1266490172376219648, 25, 1404963471740803072, '1', 'B', '1',  '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058754, 1266490172376219648, 26, 1407273728257039360, '1', 'B', '1',  '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058755, 1266490172376219648, 27, 1407275751706924032, '1', 'B', '1',  '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058756, 1266490172376219648, 28, 1407276189424547840, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058757, 1266490172376219648, 29, 1407276708494833664, '1', 'B', '1',  '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058758, 1266490172376219648, 30, 1407277203657528320, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058759, 1266490172376219648, 31, 1407277600170309632, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058760, 1266490172376219648, 32, 1407278650650523648, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058761, 1266490172376219648, 33, 1407279192487433216, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058762, 1266490172376219648, 34, 1407280034938557440, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058763, 1266490172376219648, 35, 1407281140666202112, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058764, 1266490172376219648, 36, 1407282761496204288, '1', 'B', '1', '1');
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531620906058765, 1266490172376219648, 37, 1407283004270966784, '1', 'B', '1', '1');


--新增结算状态检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1408529427385730048;
INSERT INTO T_CAL_DATACHECK_ITEM
(fid, fnumber, fplugin, fispreset, fiserroritem, fname, fdescription, ftips, fcheckmode, fbizobject, fcustomfiltertext, fcustomfilter, fcustomfilter_tag, fexpmsgfields)
VALUES(1408529427385730048, 'DC-ITEM-41', 'kd.fi.cal.business.datacheck.item.InvBillSettleCheck', '1', '0', '跨组织业务单据关账校验结算状态', '校验跨组织业务单据结算状态', '合法性检查异常：存在跨组织结算状态异常的业务单据，请检查并处理相关数据', 'B', ' ', ' ', ' ', ' ', ' ');

--多语言
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID = 1408529427385730048;
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2E/3NUKEAOWG', 1408529427385730048, 'zh_TW', '跨組織業務單據關賬校驗結算狀態', '校驗跨組織業務單據結算狀態', '合法性檢查異常：存在跨組織結算狀態異常的業務單據，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L
(fpkid, fid, flocaleid, fname, fdescription, ftips)
VALUES('2E/3NUKEAOWH', 1408529427385730048, 'zh_CN', '跨组织业务单据关账校验结算状态', '校验跨组织业务单据结算状态', '合法性检查异常：存在跨组织结算状态异常的业务单据，请检查并处理相关数据');

--关账检查任务
DELETE FROM T_CAL_DATACHECK_TASKENTRY WHERE FENTRYID = 1408531999903368192;
INSERT INTO T_CAL_DATACHECK_TASKENTRY
(fentryid, fid, fseq, fcheckitemid, fisenable, flevel, fischange, fispreitem)
VALUES(1408531999903368192, 1255063777360084992, 3, 1408529427385730048, '1', 'B', '1', '1');


