--增加核算插件
--王小龙

DELETE FROM T_CAL_PLUGIN WHERE FID IN (757000910298838016,757001025566702592,760611174277677056);
INSERT INTO T_CAL_PLUGIN (FID, FNUMBER, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FPLUGIN, FDESCRIPTION) VALUES(757000910298838016, 'QueuePlugin-001', 'C', 0, 0, '1', NULL, NULL, 757000910298838016, 'kd.fi.cal.plugin.impl.queuesetting.SrcBill4QueuePlugin', '有源单且源单为往期（一级关系）：源单类型=本单据类型(例如：蓝字销售出库单-红字销售出库单)且源单为往期。');
INSERT INTO T_CAL_PLUGIN (FID, FNUMBER, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FPLUGIN, FDESCRIPTION) VALUES(757001025566702592, 'QueuePlugin-002', 'C', 0, 0, '1', NULL, NULL, 757001025566702592, 'kd.fi.cal.plugin.impl.queuesetting.NoSrcBill4QueuePlugin', '源单类型为空（例如：手工红字销售出库单）或者源单类型不等于本单据类型且源单的源单类型为空(例如：销售退货申请单-红字销售出库单)');
INSERT INTO T_CAL_PLUGIN (FID, FNUMBER, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FPLUGIN, FDESCRIPTION) VALUES(760611174277677056, 'QueuePlugin-003', 'C', 0, 0, '1', NULL, NULL, 760611174277677056, 'kd.fi.cal.plugin.impl.queuesetting.SaleOutHasJumpSrcBill4QueuePlugin', '仅针对此场景：蓝字销售出库单-销售退货申请单-红字销售出库单');

DELETE FROM T_CAL_PLUGIN_L WHERE FID IN (757000910298838016,757001025566702592,760611174277677056);
INSERT INTO T_CAL_PLUGIN_L (FPKID, FID, FLOCALEID, FNAME) VALUES('0BZPBO1937KX', 757000910298838016, 'zh_CN', '出入库序列定义-有往期源单（一级）');
INSERT INTO T_CAL_PLUGIN_L (FPKID, FID, FLOCALEID, FNAME) VALUES('0BZPBO1937KY', 757000910298838016, 'zh_TW', '出入庫序列定義-有往期源單（一級）');
INSERT INTO T_CAL_PLUGIN_L (FPKID, FID, FLOCALEID, FNAME) VALUES('0BZPCHTFWQH/', 757001025566702592, 'zh_CN', '出入库序列定义-无源单');
INSERT INTO T_CAL_PLUGIN_L (FPKID, FID, FLOCALEID, FNAME) VALUES('0BZPCHTFWQH0', 757001025566702592, 'zh_TW', '出入庫序列定義-無源單');
INSERT INTO T_CAL_PLUGIN_L (FPKID, FID, FLOCALEID, FNAME) VALUES('0CE+XLDDV1WF', 760611174277677056, 'zh_CN', '出入库序列定义-有往期源单（跨级）');
INSERT INTO T_CAL_PLUGIN_L (FPKID, FID, FLOCALEID, FNAME) VALUES('0CE+XLDDV1WG', 760611174277677056, 'zh_TW', '出入庫序列定義-有往期源單（跨級）');

--增加出入库序列定义预设数据
IF NOT EXISTS (SELECT 1 FROM T_CAL_QUEUESETTING WHERE FID = 760618332989915136) 
INSERT INTO T_CAL_QUEUESETTING (FID, FCALORGID, FCOSTACCOUNTID, FBILLTYPEID, FQUEUETYPE, FFILTERSTR, FFILTERSTR_TAG, FNUMBER, FENABLE, FSTATUS, FBIZPLUGINID, FNAME, FDESCRIPTION) VALUES(760618332989915136, 0, 0, 'im_saloutbill', 'A', ' ', '{"filterRow":[{"id":"0CE08APE88AK","leftBracket":"","compareType":"36","fieldName":"baseqty","rightBracket":"","logic":"0","value":[{"id":"0CE08APE89O2","value":"0"}]}]}', 'QueueSetting-002', '1', 'C', 760611174277677056, '红字销售出库单有往期源单（跨级）', ' ');

IF NOT EXISTS (SELECT 1 FROM T_CAL_QUEUESETTING WHERE FID = 760618949552605184) 
INSERT INTO T_CAL_QUEUESETTING (FID, FCALORGID, FCOSTACCOUNTID, FBILLTYPEID, FQUEUETYPE, FFILTERSTR, FFILTERSTR_TAG, FNUMBER, FENABLE, FSTATUS, FBIZPLUGINID, FNAME, FDESCRIPTION) VALUES(760618949552605184, 0, 0, 'im_saloutbill', 'A', ' ', '{"filterRow":[{"id":"0CE0C90G4F6E","leftBracket":"","compareType":"36","fieldName":"baseqty","rightBracket":"","logic":"0","value":[{"id":"0CE0C90G4DUX","value":"0"}]}]}', 'QueueSetting-003', '1', 'C', 757001025566702592, '红字销售出库单无源单', ' ');

IF NOT EXISTS (SELECT 1 FROM T_CAL_QUEUESETTING WHERE FID = 758750408671095808)
INSERT INTO T_CAL_QUEUESETTING (FID, FCALORGID, FCOSTACCOUNTID, FBILLTYPEID, FQUEUETYPE, FFILTERSTR, FFILTERSTR_TAG, FNUMBER, FENABLE, FSTATUS, FBIZPLUGINID, FNAME, FDESCRIPTION) VALUES(758750408671095808, 0, 0, 'im_saloutbill', 'A', ' ', '{"filterRow":[{"id":"0CE09ZIJAVKT","leftBracket":"","compareType":"36","fieldName":"baseqty","rightBracket":"","logic":"0","value":[{"id":"0CE09ZIJAWYA","value":"0"}]}]}', 'QueueSetting-001', '1', 'C', 757000910298838016, '红字销售出库单有往期源单（一级）', ' ');
