﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ACCOUNTTYPE_L') 
 CREATE TABLE T_CAL_ACCOUNTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ACCOUNTTYPEENTRY') 
 CREATE TABLE T_CAL_ACCOUNTTYPEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BILLGROUPENTRY') 
 CREATE TABLE T_CAL_BILLGROUPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLFIELDNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLFIELD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRBILLFIELDNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRBILLFIELD NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BILLGROUPSETTING_L') 
 CREATE TABLE T_CAL_BILLGROUPSETTING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALDIMENSION_L') 
 CREATE TABLE T_CAL_CALDIMENSION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALDIMENSIONENTRY') 
 CREATE TABLE T_CAL_CALDIMENSIONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINFIELD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINFIELDNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FALIASNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALFIELDMAP') 
 CREATE TABLE T_CAL_CALFIELDMAP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCALFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALPOLICY_L') 
 CREATE TABLE T_CAL_CALPOLICY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALRANGE_L') 
 CREATE TABLE T_CAL_CALRANGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTACCOUNT_L') 
 CREATE TABLE T_CAL_COSTACCOUNT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY') 
 CREATE TABLE T_CAL_COSTADJUSTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHSOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FINVBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FINVBILLNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINVENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIVIDEBASIS_L') 
 CREATE TABLE T_CAL_DIVIDEBASIS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIVIDEBASISENTRY') 
 CREATE TABLE T_CAL_DIVIDEBASISENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FALIASNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SYSTEMCTRL_L') 
 CREATE TABLE T_CAL_SYSTEMCTRL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FAUDITTIME')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FAUDITTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FACCOUNTTYPE')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CAL_INQUEUERECORD', 'FBIZDATE', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FBASEUNITID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FBASEUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FMATERIALID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FACCOUNTTYPE')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FAUDITTIME')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FAUDITTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FBASEQTY')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ACCOUNTTYPE') 
 CREATE TABLE T_CAL_ACCOUNTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALDIMENSION') 
 CREATE TABLE T_CAL_CALDIMENSION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALPOLICY') 
 CREATE TABLE T_CAL_CALPOLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALRANGE') 
 CREATE TABLE T_CAL_CALRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDIVIDEBASISID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255),
FREMARK_TAG NCLOB,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTACCOUNT') 
 CREATE TABLE T_CAL_COSTACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCALSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DIVIDEBASIS') 
 CREATE TABLE T_CAL_DIVIDEBASIS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SYSTEMCTRL') 
 CREATE TABLE T_CAL_SYSTEMCTRL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(5) DEFAULT ' ' NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL,
FSTARTPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURPERIODID BIGINT DEFAULT 0 NOT NULL,
FISINIT CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BILLGROUPSETTING') 
 CREATE TABLE T_CAL_BILLGROUPSETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBILL VARCHAR(80) DEFAULT ' ' NOT NULL,
FRELATIONBILL VARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLFILTERSTR NVARCHAR(255),
FBILLFILTERSTR_TAG NCLOB,
FRBILLFILTERSTR NVARCHAR(255),
FRBILLFILTERSTR_TAG NCLOB,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FLONGNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FBILLPLUGIN NVARCHAR(200),
FRBILLPLUGIN NVARCHAR(200)
);

/*
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALBILLRULE') 
 CREATE TABLE T_CAL_CALBILLRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FCALBILLID VARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLID VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILTER NVARCHAR(255),
FFILTER_TAG NCLOB
);
*/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INCALBILL') 
 CREATE TABLE T_CAL_INCALBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FPROFITCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZENTITYOBJECTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_OUTCALBILL') 
 CREATE TABLE T_CAL_OUTCALBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FPROFITCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZENTITYOBJECTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_QUEUESETTING') 
 CREATE TABLE T_CAL_QUEUESETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID VARCHAR(80) DEFAULT ' ' NOT NULL,
FQUEUETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILTERSTR NVARCHAR(255),
FFILTERSTR_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SYNCBIZBILLRECORD') 
 CREATE TABLE T_CAL_SYNCBIZBILLRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZENTITYOBJECTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCALBILLID BIGINT DEFAULT 0 NOT NULL,
FCALBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSYNCTIME DATETIME,
FSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
FOPERATION VARCHAR(5) DEFAULT ' ' NOT NULL,
FLOG NVARCHAR(255),
FLOG_TAG NCLOB,
FCALBILLTYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTADJUSTBILL') 
 CREATE TABLE T_CAL_COSTADJUSTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FBIZTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCOSTACCOUNT BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCSTYPEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCUSTSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_OUTCALENTRY') 
 CREATE TABLE T_CAL_OUTCALENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FASSISTPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYADMINORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOSTCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYPROFITCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACKNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);

/*
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BALANCE') 
 CREATE TABLE T_CAL_BALANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FACCSYSID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FYEAR BIGINT DEFAULT 0 NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNUM BIGINT DEFAULT 0 NOT NULL,
FPERIODBEGINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODRECEIPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODBEGINASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODRECEIPTASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODBEGINBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODRECEIPTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODBEGINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODRECEIPTCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARRECEIPTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARRECEIPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARRECEIPTASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARRECEIPTCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODADJUSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXP DATETIME,
FPERIODBEGINACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);
*/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALRANGEENTRY') 
 CREATE TABLE T_CAL_CALRANGEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY') 
 CREATE TABLE T_CAL_CALCOSTRECORDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCALENTRYID BIGINT DEFAULT 0 NOT NULL,
FBIZBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FASSISTPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACKNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITPURCHASECOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURCHASECOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FNEWMATERIALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWMATERIALPRICEDATE DATETIME,
FNEWFEEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWFEEPRICEDATE DATETIME,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALCOSTRECORD') 
 CREATE TABLE T_CAL_CALCOSTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZENTITYOBJECTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FFIVOUCHERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISFIVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FTEMPVOUCHERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISTEMPVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FDISCHARGEVOUCHERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISDISCHARGEVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FDISCHARGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FWRITEOFFSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FWRITEOFFPERIODID BIGINT DEFAULT 0 NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FCALBILLID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FPROFITCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INCALENTRY') 
 CREATE TABLE T_CAL_INCALENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FASSISTPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYADMINORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOSTCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYPROFITCENTERORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACKNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FBALANCESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\CAL_table.sql **/
