﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ACTIONSETTING') 
 CREATE TABLE T_CAL_ACTIONSETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTINGNUM VARCHAR(80) DEFAULT ' ' NOT NULL,
FACTIONNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FSERVICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ACTIONSETTINGENTRY') 
 CREATE TABLE T_CAL_ACTIONSETTINGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FEXESEQ BIGINT DEFAULT 0 NOT NULL,
FIMPLCLASS VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALPOLICY' AND KSQL_COL_NAME IN ('FCONVERTMODE')) 
 ALTER TABLE T_CAL_CALPOLICY ADD (FCONVERTMODE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALBILLRULE' AND KSQL_COL_NAME IN ('FISPRESET')) 
 ALTER TABLE T_CAL_CALBILLRULE ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME IN ('FNEWPURCHASEPRICE')) 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FNEWPURCHASEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME IN ('FNEWPURCHASEPRICEDATE')) 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FNEWPURCHASEPRICEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME IN ('FLOCALTAX')) 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FCALORGID')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FCALORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FCARRYOVERVOUCHERNUM')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FCARRYOVERVOUCHERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FWRITEOFFTYPE')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FWRITEOFFTYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FWRITEOFFDATE')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FWRITEOFFDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FISSPLIT')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FISSPLIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FISCOSTCARRYOVER')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FISCOSTCARRYOVER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ACCOUNTTYPE' AND KSQL_COL_NAME IN ('FREMARK')) 
 ALTER TABLE T_CAL_ACCOUNTTYPE ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ACCOUNTTYPE' AND KSQL_COL_NAME IN ('FREMARK_TAG')) 
 ALTER TABLE T_CAL_ACCOUNTTYPE ADD (FREMARK_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_MATERIALDIMENSION' AND KSQL_COL_NAME IN ('FREMARK')) 
 ALTER TABLE T_CAL_MATERIALDIMENSION ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_MATERIALDIMENSION' AND KSQL_COL_NAME IN ('FREMARK_TAG')) 
 ALTER TABLE T_CAL_MATERIALDIMENSION ADD (FREMARK_TAG NCLOB );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\CAL_table.sql **/
