﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SALE_FEERECORD')
 CREATE TABLE T_CAL_SALE_FEERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FWFNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FWFSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FSHAREDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSHARESTANDARD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FWFSCHEMEID BIGINT DEFAULT 0 NOT NULL, 
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FHEADWFINFO NVARCHAR(255),
FHEADWFINFO_TAG NCLOB
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SALE_FEERECORDENTRY') 
 CREATE TABLE T_CAL_SALE_FEERECORDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FBOOKDATE DATETIME,
FASSTACTTYPE NVARCHAR(30) DEFAULT 'bd_customer' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURWFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREUSERID BIGINT DEFAULT 0 NOT NULL,
FWFINFO NVARCHAR(255),
FWFINFO_TAG NCLOB
);

