﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BAL_SP') 
 CREATE TABLE T_CAL_BAL_SP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FUPDATETYPE INT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSEQ INT DEFAULT 0 NOT NULL,
FUPDATERULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FBASEQTY_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_STANDCOST_BAL_SP') 
 CREATE TABLE T_CAL_STANDCOST_BAL_SP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FUPDATETYPE INT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSEQ INT DEFAULT 0 NOT NULL,
FUPDATERULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FCOSTDIFF_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BAL') 
 CREATE TABLE T_CAL_BAL (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FLOT VARCHAR(80) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FACCSYSID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL,
FYEAR INT DEFAULT 0 NOT NULL,
FMONTH INT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FSEQNUM INT DEFAULT 0 NOT NULL,
FISSTANDARDCOST CHAR(1) DEFAULT ' ' NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FENDPERIOD INT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_IN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_IN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_IN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_IN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_STANDCOST_BAL') 
 CREATE TABLE T_CAL_STANDCOST_BAL (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FLOT VARCHAR(80) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCREATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FACCSYSID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL,
FYEAR INT DEFAULT 0 NOT NULL,
FMONTH INT DEFAULT 0 NOT NULL,
FSEQNUM INT DEFAULT 0 NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FENDPERIOD INT DEFAULT 0 NOT NULL,
FCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_IN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
