﻿-- 补上某些未提交的索引
-- 王小龙
EXEC p_DropIdx 'IDX_CAL_CALRECORD_CB', 'T_CAL_CALCOSTRECORD';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CALRECORD_CB') CREATE INDEX IDX_CAL_CALRECORD_CB ON T_CAL_CALCOSTRECORD ( FCOSTACCOUNTID ,FBIZDATE ,FCALORGID ,FBIZENTITYOBJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCERCD_MW') CREATE INDEX IDX_CAL_BALANCERCD_MW ON T_CAL_BALANCERECORD ( FMATERIALID ,FWAREHOUSEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCERCD_WH') CREATE INDEX IDX_CAL_BALANCERCD_WH ON T_CAL_BALANCERECORD ( FWAREHOUSEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCERCD_CMP') CREATE INDEX IDX_CAL_BALANCERCD_CMP ON T_CAL_BALANCERECORD ( FCOSTACCOUNTID ,FMATERIALID ,FPERIODID ,FSTORAGEORGUNITID ,FWAREHOUSEID );
 
 EXEC p_DropIdx 'IDX_CAL_AGRECORDENTRY_CA', 'T_CAL_ATGROUPRECORD_ENTRY';
  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_AGRECORDENTRY_CA') CREATE INDEX IDX_CAL_AGRECORDENTRY_CA ON T_CAL_ATGROUPRECORD_ENTRY ( FCOSTACCOUNTID,FMATERIALID,FPERIODID);
  
  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCE_CE') CREATE INDEX IDX_CAL_BALANCE_CE ON T_CAL_BALANCE (FENDPERIOD,FCOSTACCOUNTID);
   
  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCE_CP') CREATE INDEX IDX_CAL_BALANCE_CP ON T_CAL_BALANCE (FPERIOD,FCOSTACCOUNTID);
	
  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCE_CPI') CREATE INDEX IDX_CAL_BALANCE_CPI ON T_CAL_BALANCE (FPERIODID,FCOSTACCOUNTID);

