﻿
-- 存货跌价准备设置新增 计提策略、不参与账龄计算单据
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FALLPRICESETTING' AND KSQL_COL_NAME ='FPROVSTRATEGY')
ALTER TABLE T_CAL_FALLPRICESETTING ADD (FPROVSTRATEGY CHAR(1) DEFAULT 'A' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FALLPRICESETTING' AND KSQL_COL_NAME ='FNOTCALAGEBILL')
ALTER TABLE T_CAL_FALLPRICESETTING ADD (FNOTCALAGEBILL BIGINT DEFAULT 0 NOT NULL);

-- 不参与账龄分析的单据
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_NOTCALAGE')
CREATE TABLE T_CAL_NOTCALAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL

);

-- 不参与账龄分析的单据分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_NOTCALAGEENTRY')
CREATE TABLE T_CAL_NOTCALAGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FINVSCHEME BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_NOTCALAGE_L')
CREATE TABLE T_CAL_NOTCALAGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);

-- 存货跌价准备设置新增 计提策略、不参与账龄计算单据
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_NOTCALAGE' AND KSQL_COL_NAME ='FMASTERID')
ALTER TABLE T_CAL_NOTCALAGE ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL);



