﻿-- 2022.09.16 单据同步按分录即时核算

EXEC P_ALTERPK 'PK_CAL_BUFFERPOOL', 'T_CAL_BUFFERPOOL', 'FID', '1';
EXEC P_ALTERPK 'PK_CAL_MQMUTEX', 'T_CAL_MQMUTEX', 'FMQKEY', '1';
EXEC P_ALTERPK 'PK_CAL_BUSINESSLOGENTRY', 'T_CAL_BUSINESSLOGENTRY', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_CAL_FAILCOSTDOMAIN', 'T_CAL_FAILCOSTDOMAIN', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BUSINESSLOGENTRY_FID') CREATE INDEX IDX_CAL_BUSINESSLOGENTRY_FID ON T_CAL_BUSINESSLOGENTRY ( FID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BUSINESSLOGENTRY_FRCEID') CREATE INDEX IDX_CAL_BUSINESSLOGENTRY_FRCEID ON T_CAL_BUSINESSLOGENTRY ( FCOSTRECORDEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BUFFERPOOL_FMATID') CREATE INDEX IDX_CAL_BUFFERPOOL_FMATID ON T_CAL_BUFFERPOOL (FMATERIALID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BUFFERPOOL_FBEID') CREATE INDEX IDX_CAL_BUFFERPOOL_FBEID ON T_CAL_BUFFERPOOL (FBILLID,FENTRYID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FAILCOSTDOMAIN_CDKEY') CREATE INDEX IDX_CAL_FAILCOSTDOMAIN_CDKEY ON T_CAL_FAILCOSTDOMAIN (FFAILCOSTDOMAINKEY);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTRECORDE_CDKEY') CREATE INDEX IDX_CAL_COSTRECORDE_CDKEY ON T_CAL_CALCOSTRECORDENTRY (FCOSTDOMAINKEY,FID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTADJUSTENTRY_CDKEY') CREATE INDEX IDX_CAL_COSTADJUSTENTRY_CDKEY ON T_CAL_COSTADJUSTBILLENTRY (FCOSTDOMAINKEY,FID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_INITBILLENTRY_CDKEY') CREATE INDEX IDX_CAL_INITBILLENTRY_CDKEY ON T_CAL_INITBILLENTRY (FCOSTDOMAINKEY,FID);