﻿-- 2022.09.26 单据同步按分录即时核算
-- 核算成本记录，成本调整单，初始核算单增加核算处理状态

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILL' AND KSQL_COL_NAME ='FCALSTATUS')
 ALTER TABLE T_CAL_COSTADJUSTBILL ADD (FCALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FECALSTATUS')
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FECALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME ='FCALSTATUS')
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FCALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME ='FECALSTATUS')
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FECALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INITBILL' AND KSQL_COL_NAME ='FCALSTATUS')
 ALTER TABLE T_CAL_INITBILL ADD (FCALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INITBILLENTRY' AND KSQL_COL_NAME ='FECALSTATUS')
 ALTER TABLE T_CAL_INITBILLENTRY ADD (FECALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);

 -- 增加失败成本域物料和计算时间

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FAILCOSTDOMAIN' AND KSQL_COL_NAME ='FMATERIALID')
 ALTER TABLE T_CAL_FAILCOSTDOMAIN ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FAILCOSTDOMAIN' AND KSQL_COL_NAME ='FCALTIME')
 ALTER TABLE T_CAL_FAILCOSTDOMAIN ADD (FCALTIME DATETIME);

 -- 日志增加核算处理状态
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BUSINESSLOG' AND KSQL_COL_NAME ='FCALSTATUS')
 ALTER TABLE T_CAL_BUSINESSLOG ADD (FCALSTATUS CHAR(1) DEFAULT 'A' NOT NULL);