﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INCALENTRY_A') 
 CREATE TABLE T_CAL_INCALENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALENTRY' AND KSQL_COL_NAME ='FMVERSIONID') 
 ALTER TABLE T_CAL_OUTCALENTRY ADD (FMVERSIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALENTRY' AND KSQL_COL_NAME ='FBALANCECUSTOMERID') 
 ALTER TABLE T_CAL_OUTCALENTRY ADD (FBALANCECUSTOMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD_A' AND KSQL_COL_NAME ='FISVIRTUALBILL') 
 ALTER TABLE T_CAL_CALCOSTRECORD_A ADD (FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALBILL' AND KSQL_COL_NAME ='FISVIRTUALBILL') 
 ALTER TABLE T_CAL_OUTCALBILL ADD (FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INCALBILL' AND KSQL_COL_NAME ='FISVIRTUALBILL') 
 ALTER TABLE T_CAL_INCALBILL ADD (FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FMVERSIONID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FMVERSIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FBALANCECUSTOMERID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FBALANCECUSTOMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FFATHERBILLID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FFATHERBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FANCESTORID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FANCESTORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FFATHERENTRYID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FFATHERENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FANCESTORENTRYID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FANCESTORENTRYID BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CAL_CALCOSTRECORDENTRY_A', 'FPARENTENTRYID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SERVICELOG' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_CAL_SERVICELOG ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTACCPARAMS') 
 CREATE TABLE T_CAL_COSTACCPARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTACCPARAMSENTRY') 
 CREATE TABLE T_CAL_COSTACCPARAMSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCHECKORNOT CHAR(1) DEFAULT '0' NOT NULL,
FENDINITCHECK CHAR(1) DEFAULT '0' NOT NULL,
FENDACCOUNTCHECK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING_L' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_CAL_BILLGROUPSETTING_L ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FCREATEDATETIME') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FCREATEDATETIME DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
