﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_QUEUESETTING' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_CAL_QUEUESETTING ADD (FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING' AND KSQL_COL_NAME ='FCOSTDEALTYPE') 
 ALTER TABLE T_CAL_BILLGROUPSETTING ADD (FCOSTDEALTYPE CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INCALENTRY_A' AND KSQL_COL_NAME ='FISLASTENTRY') 
 ALTER TABLE T_CAL_INCALENTRY_A ADD (FISLASTENTRY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALENTRY' AND KSQL_COL_NAME ='FISLASTENTRY') 
 ALTER TABLE T_CAL_OUTCALENTRY ADD (FISLASTENTRY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FISLASTENTRY') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FISLASTENTRY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FISLASTENTRY') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FISLASTENTRY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTPRICE') 
 CREATE TABLE T_CAL_COSTPRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTPRICEENTRY') 
 CREATE TABLE T_CAL_COSTPRICEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRICENUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRICENAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYOBJECT VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLFILTERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLFILTER_TAG NCLOB,
FPRICETRANEXPR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICEEXP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPRICEPLUGIN BIGINT DEFAULT 0 NOT NULL,
FBEFOREPERIOD INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTPRICEENTRY_L') 
 CREATE TABLE T_CAL_COSTPRICEENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_OUTCALENTRY_A') 
 CREATE TABLE T_CAL_OUTCALENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUNITMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICELIBENTRY') 
 CREATE TABLE T_CAL_PRICELIBENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRICENUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPRICENAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYOBJECT VARCHAR(80) DEFAULT ' ' NOT NULL,
FPRICETRANEXPR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICEEXP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICEEXP_TAG NCLOB,
FPRICEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICESCHEME') 
 CREATE TABLE T_CAL_PRICESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYOBJECT VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLFILTERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLFILTER_TAG NCLOB,
FPRICEDIMENSION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICESCHEME_L') 
 CREATE TABLE T_CAL_PRICESCHEME_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICESCHEMEENTRY') 
 CREATE TABLE T_CAL_PRICESCHEMEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRICESETTING NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCPRICE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESTPRICE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICESCHEMEENTRY_L') 
 CREATE TABLE T_CAL_PRICESCHEMEENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPRICEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICELIB') 
 CREATE TABLE T_CAL_PRICELIB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
