﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BALANCE_DETAIL') 
 CREATE TABLE T_CAL_BALANCE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBALID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FPERIODBEGINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODBEGINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODBEGINACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODINSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODINACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUESTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUEACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARINSTANDRADCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARINACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUESTANDRADCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARISSUEACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTADJUST_DETAIL') 
 CREATE TABLE T_CAL_COSTADJUST_DETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FADJUSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTRECORD_DETAIL') 
 CREATE TABLE T_CAL_COSTRECORD_DETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PURPRICEDIFF') 
 CREATE TABLE T_CAL_PURPRICEDIFF (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FACCSYSID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FENDPERIOD INT DEFAULT 0 NOT NULL,
FYEAR INT DEFAULT 0 NOT NULL,
FMONTH INT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSEQNUM BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCREATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPERIODBEGINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODINCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODISSUECOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODENDCOSTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTACCOUNT' AND KSQL_COL_NAME ='FENABLESTANDARDCOST') 
 ALTER TABLE T_CAL_COSTACCOUNT ADD (FENABLESTANDARDCOST CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTACCOUNT' AND KSQL_COL_NAME ='FCOSTTYPEID') 
 ALTER TABLE T_CAL_COSTACCOUNT ADD (FCOSTTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ESBILLDETAILENTRY' AND KSQL_COL_NAME ='FESTIMATEBILLID') 
 ALTER TABLE T_CAL_ESBILLDETAILENTRY ADD (FESTIMATEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALOUTRPTENTRY' AND KSQL_COL_NAME ='FPARENTENTRYID') 
 ALTER TABLE T_CAL_CALOUTRPTENTRY ADD (FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD_A' AND KSQL_COL_NAME ='FISVOUCHER') 
 ALTER TABLE T_CAL_CALCOSTRECORD_A ADD (FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FQUEUETYPE') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FQUEUETYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FSIGNNUM') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FSIGNNUM INT DEFAULT 1 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FUNITMANUFACTURECOST') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FUNITMANUFACTURECOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FMANUFACTURECOST') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FMANUFACTURECOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FUNITRESOURCE') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FUNITRESOURCE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FRESOURCE') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FRESOURCE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FQUEUETYPE') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FQUEUETYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FSIGNNUM') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FSIGNNUM INT DEFAULT 1 NOT NULL );
 
 
--IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_GROUPBILLRECORD' AND KSQL_COL_NAME ='FID') 
--ALTER TABLE T_CAL_GROUPBILLRECORD ADD (FID BIGINT DEFAULT 0 NOT NULL );
--IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_GROUPBILLRECORD' AND KSQL_COL_NAME ='FGROUPVALUE') 
-- ALTER TABLE T_CAL_GROUPBILLRECORD ADD (FGROUPVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL );
--- drop column --------- 请认真检查该脚本 ------------------- 
-- EXEC p_AlterColumn 'T_CAL_GROUPBILLRECORD', '主键', 'NULL', 'NULL', '1001', 'NULL';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
