﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CHECK_RESULTDETAIL') 
 CREATE TABLE T_CAL_CHECK_RESULTDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOBJID BIGINT DEFAULT 0 NOT NULL,
FOBJTYPEID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FOBJDES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FEXTRALINFO NVARCHAR(500) DEFAULT ' ' NOT NULL,
FISREPAIRED CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CHECK_RESULTENTRY') 
 CREATE TABLE T_CAL_CHECK_RESULTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECKITEMID BIGINT DEFAULT 0 NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(225) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_ITEM') 
 CREATE TABLE T_CAL_DATACHECK_ITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPLUGIN NVARCHAR(225) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FISERRORITEM CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_ITEM_L') 
 CREATE TABLE T_CAL_DATACHECK_ITEM_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(225) DEFAULT ' ' NOT NULL,
FTIPS NVARCHAR(225) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_RESULT') 
 CREATE TABLE T_CAL_DATACHECK_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FCHECKPLANID BIGINT DEFAULT 0 NOT NULL,
FCHECKTASKID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCHECKTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_TASK') 
 CREATE TABLE T_CAL_DATACHECK_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_TASK_L') 
 CREATE TABLE T_CAL_DATACHECK_TASK_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(225) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_TASKENTRY') 
 CREATE TABLE T_CAL_DATACHECK_TASKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECKITEMID BIGINT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FLEVEL CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_PLAN') 
 CREATE TABLE T_CAL_DATACHECK_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FJOBID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSCHEDULEID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCHECKTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FPLAN NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_PLAN_D') 
 CREATE TABLE T_CAL_DATACHECK_PLAN_D (
FID BIGINT DEFAULT 0 NOT NULL,
FONE CHAR(1) DEFAULT ' ' NOT NULL,
FTWO CHAR(1) DEFAULT ' ' NOT NULL,
FTHREE CHAR(1) DEFAULT ' ' NOT NULL,
FFOUR CHAR(1) DEFAULT ' ' NOT NULL,
FFIVE CHAR(1) DEFAULT ' ' NOT NULL,
FSIX CHAR(1) DEFAULT ' ' NOT NULL,
FSEVEN CHAR(1) DEFAULT ' ' NOT NULL,
FEIGHT CHAR(1) DEFAULT ' ' NOT NULL,
FNINE CHAR(1) DEFAULT ' ' NOT NULL,
FTEN CHAR(1) DEFAULT ' ' NOT NULL,
FELEVEN CHAR(1) DEFAULT ' ' NOT NULL,
FTWELVE CHAR(1) DEFAULT ' ' NOT NULL,
FTHIRTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FFOURTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FFIFTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FSIXTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FSEVENTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FEIGHTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FNINETEEN CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTY CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYONE CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYTWO CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYTHREE CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYFOUR CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYFIVE CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYSIX CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYSEVEN CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYEIGHT CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYNINE CHAR(1) DEFAULT ' ' NOT NULL,
FTHIRTY CHAR(1) DEFAULT ' ' NOT NULL,
FTHIRTYONE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_CALORG') 
 CREATE TABLE T_CAL_CPLAN_CALORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_COSTACCOUNT') 
 CREATE TABLE T_CAL_CPLAN_COSTACCOUNT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_INVSTATUS') 
 CREATE TABLE T_CAL_CPLAN_INVSTATUS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_INVTYPE') 
 CREATE TABLE T_CAL_CPLAN_INVTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_LOCATION') 
 CREATE TABLE T_CAL_CPLAN_LOCATION (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_MATERIAL') 
 CREATE TABLE T_CAL_CPLAN_MATERIAL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_MVERSION') 
 CREATE TABLE T_CAL_CPLAN_MVERSION (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_PROJECT') 
 CREATE TABLE T_CAL_CPLAN_PROJECT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_STORAGEORG') 
 CREATE TABLE T_CAL_CPLAN_STORAGEORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CPLAN_WAREHOUSE') 
 CREATE TABLE T_CAL_CPLAN_WAREHOUSE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_PLAN_L') 
 CREATE TABLE T_CAL_DATACHECK_PLAN_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DATACHECK_PLAN_M') 
 CREATE TABLE T_CAL_DATACHECK_PLAN_M (
FID BIGINT DEFAULT 0 NOT NULL,
FJAN CHAR(1) DEFAULT ' ' NOT NULL,
FFEB CHAR(1) DEFAULT ' ' NOT NULL,
FMAR CHAR(1) DEFAULT ' ' NOT NULL,
FAPR CHAR(1) DEFAULT ' ' NOT NULL,
FMAY CHAR(1) DEFAULT ' ' NOT NULL,
FJUN CHAR(1) DEFAULT ' ' NOT NULL,
FJUL CHAR(1) DEFAULT ' ' NOT NULL,
FAUG CHAR(1) DEFAULT ' ' NOT NULL,
FSEP CHAR(1) DEFAULT ' ' NOT NULL,
FOCT CHAR(1) DEFAULT ' ' NOT NULL,
FNOV CHAR(1) DEFAULT ' ' NOT NULL,
FDEC CHAR(1) DEFAULT ' ' NOT NULL,
FSUN CHAR(1) DEFAULT ' ' NOT NULL,
FSAT CHAR(1) DEFAULT ' ' NOT NULL,
FFRI CHAR(1) DEFAULT ' ' NOT NULL,
FTHUR CHAR(1) DEFAULT ' ' NOT NULL,
FWED CHAR(1) DEFAULT ' ' NOT NULL,
FTUES CHAR(1) DEFAULT ' ' NOT NULL,
FMON CHAR(1) DEFAULT ' ' NOT NULL,
FBYWEEK CHAR(1) DEFAULT ' ' NOT NULL,
FNO CHAR(2) DEFAULT ' ' NOT NULL,
FNOWEEK CHAR(2) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(225) DEFAULT ' ' NOT NULL,
FREPEATMODE CHAR(10) DEFAULT ' ' NOT NULL,
FCYCLENUM BIGINT DEFAULT 0 NOT NULL,
FBYDAYORWEEK CHAR(1) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
