﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_CAL_BALANCE_FIFO', 'T_CAL_BALANCE_FIFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALFIFO_MPC') CREATE INDEX IDX_CAL_BALFIFO_MPC ON T_CAL_BALANCE_FIFO ( FMATERIALID ,FPERIODID ,FCOSTACCOUNTID );


 EXEC P_ALTERPK 'PK_CAL_FALLPRICESETENTRY', 'T_CAL_FALLPRICESETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FALLPRICEE_ID') CREATE INDEX IDX_CAL_FALLPRICEE_ID ON T_CAL_FALLPRICESETENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAL_FALLPRICESETTING', 'T_CAL_FALLPRICESETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FALLPRICESET_ORG') CREATE INDEX IDX_CAL_FALLPRICESET_ORG ON T_CAL_FALLPRICESETTING ( FCALORGID );


 EXEC P_ALTERPK 'PK_CAL_FALLPRICESETTING_L', 'T_CAL_FALLPRICESETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FALLPRICESETL_LOCAL') CREATE INDEX IDX_CAL_FALLPRICESETL_LOCAL ON T_CAL_FALLPRICESETTING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAL_FIELDMAPCONFIG', 'T_CAL_FIELDMAPCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FIELDMAPCON_CALF') CREATE INDEX IDX_CAL_FIELDMAPCON_CALF ON T_CAL_FIELDMAPCONFIG ( FCALFIELD );


 EXEC P_ALTERPK 'PK_CAL_FIELDMAPCONFIG_L', 'T_CAL_FIELDMAPCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FIELDMAPCONL_LOCAL') CREATE INDEX IDX_CAL_FIELDMAPCONL_LOCAL ON T_CAL_FIELDMAPCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAL_FIELDMAPENTRY', 'T_CAL_FIELDMAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_FIELDMAPENTRY_ID') CREATE INDEX IDX_CAL_FIELDMAPENTRY_ID ON T_CAL_FIELDMAPENTRY ( FID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTADJUST_CB') CREATE INDEX IDX_CAL_COSTADJUST_CB ON T_CAL_COSTADJUSTBILL ( FCOSTACCOUNT ,FBIZDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTADJUST_DATE') CREATE INDEX IDX_CAL_COSTADJUST_DATE ON T_CAL_COSTADJUSTBILL ( FBIZDATE );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
