﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALOUTPRT' AND KSQL_COL_NAME ='FCALORGID') 
 ALTER TABLE T_CAL_CALOUTPRT ADD (FCALORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BALANCE_FIFO') 
 CREATE TABLE T_CAL_BALANCE_FIFO (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCALRPTID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FAUDITDATE DATETIME,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSEQ INT DEFAULT 0 NOT NULL,
FBEGINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FALLPRICESETENTRY') 
 CREATE TABLE T_CAL_FALLPRICESETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(80) DEFAULT 'bos_org' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FINVAGEFROM INT DEFAULT 0 NOT NULL,
FINVAGETO INT DEFAULT 0 NOT NULL,
FFALLPRICESCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITREALIZABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FALLPRICESETTING') 
 CREATE TABLE T_CAL_FALLPRICESETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FACCSYSID BIGINT DEFAULT 0 NOT NULL,
FCALPOLICYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPROVISIONWAY CHAR(1) DEFAULT 'A' NOT NULL,
FSETDIMENSION NVARCHAR(255) DEFAULT 'A' NOT NULL,
FMAXIMUMAGE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FALLPRICESETTING_L') 
 CREATE TABLE T_CAL_FALLPRICESETTING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FIELDMAPCONFIG') 
 CREATE TABLE T_CAL_FIELDMAPCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCALFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FIELDMAPCONFIG_L') 
 CREATE TABLE T_CAL_FIELDMAPCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FIELDMAPENTRY') 
 CREATE TABLE T_CAL_FIELDMAPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYOBJECTID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_PRICESCHEMEENTRY' AND KSQL_COL_NAME ='FPRICEREMARK') 
 ALTER TABLE T_CAL_PRICESCHEMEENTRY ADD (FPRICEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_PRICESCHEME' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_CAL_PRICESCHEME ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTOPERID') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTOPERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTARTERID') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTARTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STOPSYNCSET' AND KSQL_COL_NAME ='FSTARTTIME') 
 ALTER TABLE T_CAL_STOPSYNCSET ADD (FSTARTTIME DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
