﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTESBILLEXPENSE') 
 CREATE TABLE T_CAL_COSTESBILLEXPENSE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FEXPENSECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTIMATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTIMATESTANDARD NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTESTIMATEBILL') 
 CREATE TABLE T_CAL_COSTESTIMATEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FESTIMATEDATE DATETIME,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATCHRULEID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SETTING') 
 CREATE TABLE T_CAL_SETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FESSTANDARDS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FESCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FESRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FESCONVERTMODE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SETTINGBILLTYPE') 
 CREATE TABLE T_CAL_SETTINGBILLTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_CAL_CALCOSTRECORD', 'FFIVOUCHERNUM', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_CAL_CALCOSTRECORD', 'FTEMPVOUCHERNUM', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_CAL_CALCOSTRECORD', 'FDISCHARGEVOUCHERNUM', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FFEEVOUCHERID')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FFEEVOUCHERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FISFEEVOUCHER')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FISFEEVOUCHER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD' AND KSQL_COL_NAME IN ('FFEEVOUCHERNUM')) 
 ALTER TABLE T_CAL_CALCOSTRECORD ADD (FFEEVOUCHERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTESBILLRESULT') 
 CREATE TABLE T_CAL_COSTESBILLRESULT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTDETAILID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSHAREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ESBILLRESULTENTRY') 
 CREATE TABLE T_CAL_ESBILLRESULTENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHAREDETAILEXITEMID BIGINT DEFAULT 0 NOT NULL,
FSHAREDETAILAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREDETAILAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXITEMSEQ INT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
