﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_CAL_DIFFALLOCRPTENTRY', 'T_CAL_DIFFALLOCRPTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRPTENTRY_EID') CREATE INDEX IDX_CAL_DIFFALLOCRPTENTRY_EID ON T_CAL_DIFFALLOCRPTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRPTENTRY_CT') CREATE INDEX IDX_CAL_DIFFALLOCRPTENTRY_CT ON T_CAL_DIFFALLOCRPTENTRY ( FCREATETYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRPTENTRY_SE') CREATE INDEX IDX_CAL_DIFFALLOCRPTENTRY_SE ON T_CAL_DIFFALLOCRPTENTRY ( FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_CAL_DIFFALLOCRC', 'T_CAL_DIFFALLOCRC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRC_ST') CREATE INDEX IDX_CAL_DIFFALLOCRC_ST ON T_CAL_DIFFALLOCRC ( FSTARTTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRC_USER') CREATE INDEX IDX_CAL_DIFFALLOCRC_USER ON T_CAL_DIFFALLOCRC ( FUSERID );


 EXEC P_ALTERPK 'PK_CAL_DIFFALLOCRPT', 'T_CAL_DIFFALLOCRPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRPT_MAT') CREATE INDEX IDX_CAL_DIFFALLOCRPT_MAT ON T_CAL_DIFFALLOCRPT ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRPT_CA') CREATE INDEX IDX_CAL_DIFFALLOCRPT_CA ON T_CAL_DIFFALLOCRPT ( FCOSTACCOUNTID );


 EXEC P_ALTERPK 'PK_CAL_DIFFALLOCRPTENTRYDT', 'T_CAL_DIFFALLOCRPTENTRYDT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALRPTEDT_EID') CREATE INDEX IDX_CAL_DIFFALRPTEDT_EID ON T_CAL_DIFFALLOCRPTENTRYDT ( FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
