--新增检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1700755030392542208;
INSERT INTO T_CAL_DATACHECK_ITEM(FID,FCUSTOMFILTER_TAG,FDESCRIPTION,FEXPMSGFIELDS,FNUMBER,FNAME,FCUSTOMFILTER,FISERRORITEM,FISPRESET,FPLUGIN,FCUSTOMFILTERTEXT,FTIPS,FCHECKMODE,FBIZOBJECT) VALUES (1700755030392542208,' ','检查当期的单位发出差异、结存差异是否正确',' ','CALDIFF-ITEM-01','检查实际成本是否一致',' ','1','1','kd.fi.cal.business.datacheck.item.DiffActCostIsConsistentCheck',' ','合法性检查异常：存在单位发出实际成本与单位结存成本不一致，请按检查结果提示的异常对象核对数据','B',' ');
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1700758642074163200;
INSERT INTO T_CAL_DATACHECK_ITEM(FID,FCUSTOMFILTER_TAG,FDESCRIPTION,FEXPMSGFIELDS,FNUMBER,FNAME,FCUSTOMFILTER,FISERRORITEM,FISPRESET,FPLUGIN,FCUSTOMFILTERTEXT,FTIPS,FCHECKMODE,FBIZOBJECT) VALUES (1700758642074163200,' ','检查当期期初或者收入有差异的情况下，出库单是否都有生成差异分摊的差异单',' ','CALDIFF-ITEM-02','检查所有非成组出库单是否都转出差异单',' ','1','1','kd.fi.cal.business.datacheck.item.DiffNoGroupBillIsTransferCheck',' ','合法性检查异常：存在出库单未生成差异单，请按检查结果提示的异常对象核对数据','B',' ');
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID = 1700759221307544576;
INSERT INTO T_CAL_DATACHECK_ITEM(FID,FCUSTOMFILTER_TAG,FDESCRIPTION,FEXPMSGFIELDS,FNUMBER,FNAME,FCUSTOMFILTER,FISERRORITEM,FISPRESET,FPLUGIN,FCUSTOMFILTERTEXT,FTIPS,FCHECKMODE,FBIZOBJECT) VALUES (1700759221307544576,' ','检查差异分摊的成组单据差异是否一致',' ','CALDIFF-ITEM-03','检查成组差异是否一致',' ','1','1','kd.fi.cal.business.datacheck.item.DiffGroupBillDiffIsConsistentCheck',' ','合法性检查异常：存在成组单的差异金额不一致，请按检查结果提示的异常对象核对数据','B',' ');

--多语言表
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FPKID = '3AX4RTK2DV1D';
INSERT INTO T_CAL_DATACHECK_ITEM_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME,FTIPS) VALUES (1700755030392542208,'3AX4RTK2DV1D','zh_CN','检查当期的单位发出差异、结存差异是否正确','检查实际成本是否一致','合法性检查异常：存在单位发出实际成本与单位结存成本不一致，请按检查结果提示的异常对象核对数据');
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FPKID = '3AX4RTK2DV1E';
INSERT INTO T_CAL_DATACHECK_ITEM_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME,FTIPS) VALUES (1700755030392542208,'3AX4RTK2DV1E','zh_TW','檢查當期的單位發出差異、結存差異是否正確','檢查實際成本是否一致','合法性檢查異常：存在單位發出實際成本與單位結存成本不一致，請按檢查結果提示的異常對象核對數據');
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FPKID = '3AX5F4+5DQ7Z';
INSERT INTO T_CAL_DATACHECK_ITEM_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME,FTIPS) VALUES (1700758642074163200,'3AX5F4+5DQ7Z','zh_CN','检查当期期初或者收入有差异的情况下，出库单是否都有生成差异分摊的差异单','检查所有非成组出库单是否都转出差异单','合法性检查异常：存在出库单未生成差异单，请按检查结果提示的异常对象核对数据');
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FPKID = '3AX5F4+5DQ8+';
INSERT INTO T_CAL_DATACHECK_ITEM_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME,FTIPS) VALUES (1700758642074163200,'3AX5F4+5DQ8+','zh_TW','檢查當期期初或者收入有差異的情況下，出庫單是否都有生成差異分攤的差異單','檢查所有非成組出庫單是否都轉出差異單','合法性檢查異常：存在出庫單未生成差異單，請按檢查結果提示的異常對象核對數據');
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FPKID = '3AX5JBL2U/FG';
INSERT INTO T_CAL_DATACHECK_ITEM_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME,FTIPS) VALUES (1700759221307544576,'3AX5JBL2U/FG','zh_CN','检查差异分摊的成组单据差异是否一致','检查成组差异是否一致','合法性检查异常：存在成组单的差异金额不一致，请按检查结果提示的异常对象核对数据');
DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FPKID = '3AX5JBL2U/FH';
INSERT INTO T_CAL_DATACHECK_ITEM_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME,FTIPS) VALUES (1700759221307544576,'3AX5JBL2U/FH','zh_TW','檢查差異分攤的成組單據差異是否一致','檢查成組差異是否一致','合法性檢查異常：存在成組單的差異金額不一致，請按檢查結果提示的異常對象核對數據');

--差异分摊（后）检查任务
DELETE FROM t_cal_datacheck_task WHERE FID = 1700776738197444608;
INSERT INTO t_cal_datacheck_task(FID,FPURPOSE,FISPRESET,FNUMBER) VALUES (1700776738197444608,'F','1','CALDIFF-TASK-01');

DELETE FROM T_CAL_DATACHECK_TASK_L WHERE FPKID = '3AXDJJ7II+BO';
INSERT INTO T_CAL_DATACHECK_TASK_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1700776738197444608,'3AXDJJ7II+BO','zh_CN','用于差异分摊（后）的检查','差异分摊（后）');
DELETE FROM T_CAL_DATACHECK_TASK_L WHERE FPKID = '3AXDJJ7II+BP';
INSERT INTO T_CAL_DATACHECK_TASK_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1700776738197444608,'3AXDJJ7II+BP','zh_TW','用於差異分攤（後）的檢查','差異分攤（後）');

DELETE FROM T_CAL_DATACHECK_TASKENTRY WHERE FENTRYID = 1700776738197444609;
INSERT INTO T_CAL_DATACHECK_TASKENTRY(FID,FENTRYID,FSEQ,FISENABLE,FCHECKITEMID,FISCHANGE,FLEVEL,FISPREITEM) VALUES (1700776738197444608,1700776738197444609,1,'1',1700758642074163200,'1','A','1');
DELETE FROM T_CAL_DATACHECK_TASKENTRY WHERE FENTRYID = 1700776738197444610;
INSERT INTO T_CAL_DATACHECK_TASKENTRY(FID,FENTRYID,FSEQ,FISENABLE,FCHECKITEMID,FISCHANGE,FLEVEL,FISPREITEM) VALUES (1700776738197444608,1700776738197444610,2,'1',1700759221307544576,'1','A','1');


DELETE FROM t_cal_datacheck_task WHERE FID = 1701567723173311488;
INSERT INTO t_cal_datacheck_task(FID,FPURPOSE,FISPRESET,FNUMBER) VALUES (1701567723173311488,'F','1','CALDIFF-TASK-02');

DELETE FROM T_CAL_DATACHECK_TASK_L WHERE FPKID = '3B/0LWMB2N6D';
INSERT INTO T_CAL_DATACHECK_TASK_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1701567723173311488,'3B/0LWMB2N6D','zh_CN','用于差异分摊（后）的检查','差异分摊（后）');
DELETE FROM T_CAL_DATACHECK_TASK_L WHERE FPKID = '3B/0LWMB2N6E';
INSERT INTO T_CAL_DATACHECK_TASK_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1701567723173311488,'3B/0LWMB2N6E','zh_TW','用於差異分攤（後）的檢查','差異分攤（後）');

DELETE FROM T_CAL_DATACHECK_TASKENTRY WHERE FENTRYID = 1701567723173311489;
INSERT INTO T_CAL_DATACHECK_TASKENTRY(FID,FENTRYID,FSEQ,FISENABLE,FCHECKITEMID,FISCHANGE,FLEVEL,FISPREITEM) VALUES (1701567723173311488,1701567723173311489,1,'1',1700755030392542208,'1','A','1');
