--新增结账关账相关检查项
--牟润发8.25

--关账检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (1255062234141420544);
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1255062234141420544, 'DC-ITEM-22', 'kd.fi.cal.business.datacheck.item.InvBillSubmitStatuCheck', '1', '0','B');
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (1271579450798102528);
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1271579450798102528, 'DC-ITEM-21', 'kd.fi.cal.business.datacheck.item.InvBillSaveStatuCheck', '1', '0','B');

--结账检查项
DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (1266464513327228928,1266468442911926272,1266484088253048832);
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1266464513327228928, 'DC-ITEM-18', 'kd.fi.cal.business.datacheck.item.SettleAccountBillStatusCheck', '1', '0','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1266468442911926272, 'DC-ITEM-19', 'kd.fi.cal.business.datacheck.item.SettleAccountZeroCostCheck', '1', '1','B');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM, FCHECKMODE) VALUES (1266484088253048832, 'DC-ITEM-20', 'kd.fi.cal.business.datacheck.item.SettleAccountVoucherCheck', '1', '0','B');

DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID IN (1255062234141420544,1266464513327228928,1266468442911926272,1266484088253048832,1271579450798102528);
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1ZJL2W6V/Q3G', 1266484088253048832, 'zh_CN', '凭证检查', '检查核算成本记录，成本调整单，存货跌价计提单，存货跌价冲回单的凭证是否生成', '合法性检查异常，请检查当期相关单据的凭证并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1ZJL2W6V/Q3H', 1266484088253048832, 'zh_TW', '憑證檢查', '檢查核算成本記錄，成本調整單，存貨跌價計提單，存貨跌價衝回單的憑證是否生成', '合法性檢查異常，請檢查當期相關單據的憑證並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1Y4W+/UC+1S4', 1255062234141420544, 'zh_CN', '库存单据未审核检查', '检查库存单据的单据状态为提交状态', '合法性检查异常，存在已提交未审核的库存单据，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1Y4W+/UC+1S5', 1255062234141420544, 'zh_TW', '庫存單據未審核檢查', '檢查庫存單據的單據狀態為提交狀態', '合法性檢查異常，存在已提交未審核的庫存單據，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1ZJHF854AXI4', 1266464513327228928, 'zh_CN', '单据状态检查', '检查未审核的成本调整单、存货跌价计提单、存货跌价冲回单', '合法性检查异常，存在未审核的业务单据, 请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1ZJHF854AXI5', 1266464513327228928, 'zh_TW', '單據狀態檢查', '檢查未審核的成本調整單、存貨跌價計提單、存貨跌價衝回單', '合法性檢查異常，存在未審核的業務單據, 請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1ZJI5VXP/GPA', 1266468442911926272, 'zh_CN', '核算成本记录单位实际成本检查', '检查核算成本记录非赠品行的单位实际成本要大于0', '合法性检查异常，存在非赠品行单位实际成本<=0的记录，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('1ZJI5VXP/GPB', 1266468442911926272, 'zh_TW', '核算成本記錄單位實際成本檢查', '檢查核算成本記錄非贈品行的單位實際成本要大於0', '合法性檢查異常，存在非贈品行單位實際成本<=0的記錄，請檢查並處理相關數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('2+6/4P5Q05FH', 1271579450798102528, 'zh_CN', '库存单据未提交检查', '检查当前期间的库存单据暂存状态', '合法性检查异常，存在未提交的库存单据，请检查并处理相关数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES('2+6/4P5Q05FI', 1271579450798102528, 'zh_TW', '庫存單據未提交檢查', '檢查當前期間的庫存單據暫存狀態', '合法性檢查異常，存在未提交的庫存單據，請檢查並處理相關數據');







