-- 出库核算调度任务
-- 游发扬2021.11.01
-- 调度任务类名
DELETE FROM t_sch_taskdefine WHERE FID = '1SP3TZ4KAA04';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1SP3TZ4KAA04','kd.fi.calx.formplugin.calculate.out.CalculateOutTimedTask','calx','CalculateOutTimedTask');
-- 类名多语言
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1SP3TZ4KAAPD';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1SP3TZ4KAA04','1SP3TZ4KAAPD','zh_CN','出库核算定时');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1SP3TZ4KAAPE';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1SP3TZ4KAA04','1SP3TZ4KAAPE','zh_TW','出庫核算定時');
-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '1SP43SKNJT/X';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('1SP43SKNJT/X','kd.fi.calx.formplugin.calculate.out.CalculateOutTimedTask','1SP3TZ4KAA04','0',1,'BIZ','1','calx_cal_CalculateOutTimedTask_SKDJ_S','0','1',0,0,' ','{"times":"4","hour":"24"}',0);

-- 调度作业通知
DELETE FROM T_SCH_JOB_n WHERE FID = '1SP43SKNJT/X';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('1SP43SKNJT/X',0,'0',' ','0',' ','调度作业通知');

-- 调度作业多语言
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1SP43SKR66J5';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1SP43SKNJT/X','1SP43SKR66J5','zh_CN','出库核算定时调度');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1SP43SKR66J6';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1SP43SKNJT/X','1SP43SKR66J6','zh_TW','出庫核算定時調度');
-- 自定义参数
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2/=A9N1S7HGS';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FPARAMDEFVALUE,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('1SP43SKNJT/X','1','1','2/=A9N1S7HGS',1,NULL,' ','24','hour');
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2/=A9N1S7HGT';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FPARAMDEFVALUE,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('1SP43SKNJT/X','1','1','2/=A9N1S7HGT',2,NULL,' ','4','times');
-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1SP5AU4COX/H';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FFEB,FJUN) VALUES ('0','0','0','0',' ','0','0','0','0','0 0/8 * * * ?','0','172.19.107.51','0','0','0','0',{ts'2124-07-01  00:00:00'},'0','0','mi','0','d','0','0','0','0','事件将于2021-07-01 00:24:24起，  每8分钟重复。  预计最近十次执行时间：  2021-07-01 00:32:00,  2021-07-01 00:40:00,  2021-07-01 00:48:00,  2021-07-01 00:56:00,  2021-07-01 01:00:00,  2021-07-01 01:08:00,  2021-07-01 01:16:00,  2021-07-01 01:24:00,  2021-07-01 01:32:00,  2021-07-01 01:40:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','1SP43SKNJT/X',{ts'2021-07-01  00:00:00'},'0','0','0','1SP5AU4COX/H','0','0','0','0','0',' ','1','CalculateOutTimedTaskPlan','0','0',8,'0','0','0','0','0');


-- 调度计划多语言
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1SP5AU4COXOR';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1SP5AU4COX/H','1SP5AU4COXOR','zh_CN','出库核算定时调度任务计划');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1SP5AU4COXOS';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1SP5AU4COX/H','1SP5AU4COXOS','zh_TW','出庫核算定時調度任務計劃');
-- 调度计划分录(调度作业)
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '1SP5AU4COX/I';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('1SP5AU4COX/H','1SP43SKNJT/X','1SP5AU4COX/I',1);