﻿-- 初始核算单引入引出模板配置脚本
-- 殷政 2020.6.3

-- 引入引出模板
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATE WHERE FID = 886851628328724480) 
INSERT INTO T_BAS_IMPORTTEMPLATE(FID, FCREATETIME, FMODIFYTIME, FMODIFIERID, FNUMBER, FNAME, FBIZOBJECT, FSTATUS, FCREATORID, FENABLE, FCOMMENT, FMASTERID, FTEMPLATETYPE, FENABLEIMPORT)
VALUES(886851628328724480, {ts'2020-05-08  14:55:24'}, {ts'2020-05-25  09:19:19'}, 837832484593882112, 'cal_initbill_IMPT_S', ' ', 'cal_initbill', 'C', 837832484593882112, '1', ' ', 886851628328724480, 'IMPT', '1');

-- 引入引出模板多语言表
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATE_L WHERE FPKID = '0RXTDMLF1FP8')
INSERT INTO T_BAS_IMPORTTEMPLATE_L(FPKID, FID, FLOCALEID, FNAME, FCOMMENT) VALUES('0RXTDMLF1FP8', 886851628328724480, 'zh_CN', '初始核算单模板', ' ');
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATE_L WHERE FPKID = '0RXTDMLF1FP9')
INSERT INTO T_BAS_IMPORTTEMPLATE_L(FPKID, FID, FLOCALEID, FNAME, FCOMMENT) VALUES('0RXTDMLF1FP9', 886851628328724480, 'zh_TW', '初始核算單模板', ' ');

-- 引入引出模板分录表
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834864130;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834864130,'sub_baseqty',61,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834735107;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834735107,'sub_price',62,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834864131;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834864131,'sub_amount',63,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834735108;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834735108,'sub_costdiff',64,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834864132;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834864132,'sub_yearinqty',65,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834735109;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834735109,'sub_yearincost',66,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834864133;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834864133,'sub_yearincostdiff',67,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834735110;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834735110,'sub_yearissueqty',68,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834864134;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834864134,'sub_yearissuecost',69,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905060438834735111;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,905060438834735111,'sub_yearissuecostdiff',70,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 905682411730283538;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,905682411730283538,'costdiff',38,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578716996608;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','0',' ',0,898998578716996608,'cal_initbill',1,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578767329280;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','0',' ',898998578716996608,898998578767329280,'billhead',2,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578784105472;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998578767329280,898998578784105472,'id',3,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578800883712;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998578767329280,898998578800883712,'billno',5,'1',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578817659904;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998578767329280,898998578817659904,'bizdate',8,'1',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578826049536;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998578767329280,898998578826049536,'billstatus',9,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578842825728;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998578767329280,898998578842825728,'billtype',4,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578867992576;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998578767329280,898998578867992576,'calorg',6,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578884768768;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998578767329280,898998578884768768,'costaccount',7,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578901547008;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998578767329280,898998578901547008,'localcurrency',10,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578918323200;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998578767329280,898998578918323200,'period',11,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578926712832;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998578767329280,898998578926712832,'remark',12,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578943489024;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998578767329280,898998578943489024,'bizbillid',13,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578951878656;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998578767329280,898998578951878656,'bizentityobject',14,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578960266240;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998578767329280,898998578960266240,'creator',15,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578977044480;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998578767329280,898998578977044480,'createtime',16,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578985432064;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998578767329280,898998578985432064,'auditor',17,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998578993821696;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998578767329280,898998578993821696,'auditdate',18,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579346142208;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','0',' ',898998578716996608,898998579346142208,'entryentity',19,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579362920448;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998579346142208,898998579362920448,'entryentity.id',20,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579379696640;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579379696640,'ownertype',30,'1',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579388086272;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998579346142208,898998579388086272,'bizbillentryid',21,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579404862464;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579404862464,'storageorgunit',22,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579421640704;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579421640704,'material',23,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579430028288;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998579346142208,898998579430028288,'mversion',24,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579446806528;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579446806528,'assist',25,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579455194112;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579455194112,'lot',26,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579471972352;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579471972352,'project',27,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579480359936;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579480359936,'warehouse',28,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579497138176;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579497138176,'location',29,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579505525760;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579505525760,'owner',31,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579522304000;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579522304000,'invtype',32,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579530691584;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1','number',898998579346142208,898998579530691584,'invstatus',33,'1',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579547469824;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998579346142208,898998579547469824,'baseunit',34,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579564246016;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579564246016,'baseqty',35,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579581024256;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579581024256,'price',36,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579589411840;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579589411840,'amount',37,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579614577664;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579614577664,'entryremark',52,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579631355904;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579631355904,'yearinqty',39,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579639743488;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579639743488,'yearincost',40,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579648133120;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579648133120,'yearincostdiff',41,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579664909312;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579664909312,'yearissueqty',42,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579681687552;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579681687552,'yearissuecost',43,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579690075136;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579690075136,'yearissuecostdiff',44,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579706852352;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998579346142208,898998579706852352,'signnum',45,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579723630592;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998579346142208,898998579723630592,'srcbilltype',46,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579732018176;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579732018176,'srcbillnum',50,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579748796416;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579748796416,'srcentryseq',51,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579765572608;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579765572608,'srcbizentityobject',47,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579773962240;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579773962240,'srcbillid',48,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579782349824;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'1','1',' ',898998579346142208,898998579782349824,'srcbillentryid',49,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579807516672;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998579346142208,898998579807516672,'accounttype',54,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579815904256;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998579346142208,898998579815904256,'caldimension',53,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998579832682496;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998579346142208,898998579832682496,'calrange',55,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998580461827072;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','0',' ',898998579346142208,898998580461827072,'subentryentity',56,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998580486993920;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1',' ',898998580461827072,898998580486993920,'subentryentity.id',57,'0',' ',' ',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998580495381504;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998580461827072,898998580495381504,'costelement',58,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998580512159744;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998580461827072,898998580512159744,'costsubelement',59,'0',' ','name',NULL); 
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 898998580537324544;
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (886851628328724480,'0','1','number',898998580461827072,898998580537324544,'sub_material',60,'0',' ','name',NULL); 
