﻿-- 初始核算单引入引出模板配置脚本
-- 殷政 2020.6.3

-- 引入引出模板
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATE WHERE FID = 914283768200561664) 
INSERT INTO T_BAS_IMPORTTEMPLATE(FID,FENABLEIMPORT,FMASTERID,FSTATUS,FNUMBER,FNAME,FTEMPLATETYPE,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FCOMMENT,FCREATORID,FBIZOBJECT) 
VALUES (914283768200561664,'1',914283768200561664,'C','cal_costadjust_subentity_IMPT_S',' ','IMPT',{ts'2020-06-15  11:14:40'},793332964380384263,'1',{ts'2020-06-17  10:31:38'},' ',169503,'cal_costadjust_subentity'); 

-- 引入引出模板多语言表
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATE_L WHERE FPKID = '0V=8+5F6AI74')
INSERT INTO T_BAS_IMPORTTEMPLATE_L(FID,FPKID,FLOCALEID,FCOMMENT,FNAME) VALUES (914283768200561664,'0V=8+5F6AI74','zh_CN',' ','成本调整单引入模板（预置）'); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATE_L WHERE FPKID = '0V=8+5F6AI75')
INSERT INTO T_BAS_IMPORTTEMPLATE_L(FID,FPKID,FLOCALEID,FCOMMENT,FNAME) VALUES (914283768200561664,'0V=8+5F6AI75','zh_TW',' ','成本調整單引入模板（預置）'); 

-- 引入引出模板分录表
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768079607808)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','0',' ',0,914281768079607808,'cal_costadjust_subentity',1,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768146699264)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','0',' ',914281768079607808,914281768146699264,'billhead',2,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087872)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155087872,'billno',6,'1',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087873)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155087873,'billstatus',8,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087874)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768146699264,914281768155087874,'calorg',4,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087875)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768146699264,914281768155087875,'costaccount',5,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087876)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768146699264,914281768155087876,'currency',14,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087877)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768146699264,914281768155087877,'period',16,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087878)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155087878,'isvoucher',18,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087879)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155087879,'checkstrikeaccount',20,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087880)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155087880,'feeshareflag',21,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087881)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155087881,'remark',12,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087882)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768146699264,914281768155087882,'creator',24,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155087883)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768146699264,914281768155087883,'auditor',26,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105280)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155105280,'id',3,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105281)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155105281,'bizdate',7,'1',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105282)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155105282,'biztype',9,'1',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105283)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768146699264,914281768155105283,'org',13,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105284)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768146699264,914281768155105284,'billtype',10,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105285)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155105285,'cstype',15,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105286)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768146699264,914281768155105286,'custsupplier',17,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105287)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155105287,'vouchernum',19,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105288)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768155105288,'createtype',11,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105289)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155105289,'voucherid',22,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105290)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155105290,'billcretype',23,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105291)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155105291,'createtime',25,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768155105292)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768146699264,914281768155105292,'auditdate',27,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253696)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','0',' ',914281768079607808,914281768180253696,'entryentity',28,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253697)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768180253696,914281768180253697,'adjustamt',36,'1',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253698)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180253698,'storageorgunit',30,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253699)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180253699,'mversion',32,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253700)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768180253696,914281768180253700,'lot',34,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253701)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180253701,'warehouse',37,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253702)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180253702,'invtype',39,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253703)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180253703,'owner',42,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253704)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768180253704,'invbizdate',44,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253705)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768180253696,914281768180253705,'feeprojectid',46,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180253706)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768180253696,914281768180253706,'invbilltype',48,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271104)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768180253696,914281768180271104,'entryentity.id',29,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271105)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768180253696,914281768180271105,'ownertype',41,'1',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271106)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180271106,'material',31,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271107)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180271107,'assist',33,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271108)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180271108,'baseunit',35,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271109)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180271109,'location',38,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271110)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180271110,'invstatus',40,'1',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271111)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1','number',914281768180253696,914281768180271111,'project',43,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271112)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768180271112,'invauditdate',45,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768180271113)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768180253696,914281768180271113,'adminorg',47,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642304)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188642304,'invbillid',50,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642305)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188642305,'invbillentryid',52,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642306)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768180253696,914281768188642306,'srcbilltype',54,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642307)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188642307,'srcentryseq',56,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642308)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188642308,'srcbillid',58,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642309)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188642309,'srcbillentryid',60,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642310)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768180253696,914281768188642310,'calrange',62,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188642311)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188642311,'accounttype',64,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659712)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659712,'invbillnum',49,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659713)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659713,'invbizentityobject',51,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659714)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659714,'inventryseq',53,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659715)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659715,'srcbillnum',55,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659716)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659716,'srcbizentityobject',57,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659717)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659717,'queuetype',59,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659718)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659718,'signnum',61,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659719)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768180253696,914281768188659719,'caldimension',63,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768188659720)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768180253696,914281768188659720,'feesharetotalamt',65,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197030912)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','0',' ',914281768180253696,914281768197030912,'subentryentity',66,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197030913)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768197030912,914281768197030913,'costelement',68,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197030914)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768197030912,914281768197030914,'sub_material',70,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197030915)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768197030912,914281768197030915,'sub_adjustamt',72,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197048320)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1',' ',914281768197030912,914281768197048320,'subentryentity.id',67,'0',' ',' ',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197048321)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768197030912,914281768197048321,'costsubelement',69,'0',' ','name',NULL); 
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197048322)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'0','1','number',914281768197030912,914281768197048322,'sub_currency',71,'0',' ','name',NULL);
IF NOT EXISTS (SELECT 1 FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FENTRYID = 914281768197048323)
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID,FISIMPORT,FISFIELD,FIMPORTPROP,FPARENTENTRYID,FENTRYID,FFIELDKEY,FSEQ,FMUSTINPUT,FDESCRIPTION,FEXPORTPROP,FFIELDNAME) VALUES (914283768200561664,'1','1',' ',914281768146699264,914281768197048323,'bookdate',72,'1',' ',' ',NULL);