-- 成本调整单创建类型数据升级脚本
-- 游发扬2021.01.07

-- 0.备份数据 成本调整单主表 分录表 明细表
-- 通过代码实现，注释这里
--create table T_CAL_COSTADJUSTBILL_20210107 like T_CAL_COSTADJUSTBILL;
--insert into T_CAL_COSTADJUSTBILL_20210107 select * from T_CAL_COSTADJUSTBILL;

--create table T_CAL_COSTADJUSTBILLENTRY_20210107 like T_CAL_COSTADJUSTBILLENTRY;
--insert into T_CAL_COSTADJUSTBILLENTRY_20210107 select * from T_CAL_COSTADJUSTBILLENTRY;

--create table T_CAL_COSTADJUST_DETAIL_20210107 like T_CAL_COSTADJUST_DETAIL;
--insert into T_CAL_COSTADJUST_DETAIL_20210107 select * from T_CAL_COSTADJUST_DETAIL;

-- 1.数据升级：先做金额数据升级，再进行创建类型的升级
-- 1.1成本调整单分录和结转明细t_cal_costadjust_detail的
-- 卷算生成的成本调整单金额字段升级和创建类型升级绑定到一起 屏蔽掉这里
--UPDATE T_CAL_COSTADJUSTBILLENTRY SET fadjustamt = 0-fadjustamt WHERE FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILL WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE  = 'M');

--UPDATE T_CAL_COSTADJUST_DETAIL SET fadjustamt = 0-fadjustamt WHERE fadjustamt <> 0 AND FENTRYID IN (SELECT FENTRYID FROM T_CAL_COSTADJUSTBILLENTRY --
--WHERE FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILL WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE  = 'M'));

-- 2.成本调整单
-- 2.1 创建类型 = 实际成本变更差异L：创建类型改为手工录入A
UPDATE T_CAL_COSTADJUSTBILL SET FCREATETYPE='A' WHERE FCREATETYPE='L';

-- 3.标准成本差异单
-- 3.1 单据同步 :单据来源类型 ≠ 差异分摊 且 创建类型in（订单价差G，费用价差K，其他价差T） 且 （库存单据不为空 且 对方单据类型为空）：将创建类型填到差异类型上，创建类型写成单据同步X
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = FCREATETYPE, FCREATETYPE='X' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE IN ('G','K','T') 
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE FSRCBILLTYPEID = 0 AND FINVBILLID <> 0 );

-- 3.2 手工录入：单据来源类型 ≠ 差异分摊 且 创建类型 in （订单价差G，发票价差H，费用价差K，材料耗用差异P，制造费用差异Q，未吸收费用R，成本更新差异S，其他价差T）
--   			 且 分录库存单据为空 将创建类型写到差异类型上，创建类型写手工录入A
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = FCREATETYPE, FCREATETYPE='A' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE IN ('G','H','K','P','Q','R','S','T') 
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE FINVBILLID = 0);

-- 3.3 差异分摊：单据来源类型 = 差异分摊 且 差异类型为标准成本差异的（排除差异分摊生成的实际成本成本调整单）： 差异类型设为创建类型，创建类型设为差异分摊
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = FCREATETYPE, FCREATETYPE = 'W' WHERE FBILLSRCTYPE = 'D' AND FDIFFTYPE = 'A';

-- 3.4 采购核销：单据来源类型 ≠ 差异分摊 且 库存单据类型=标准采购入库单（366348248593474560） 且 创建类型 = 发票价差H：创建类型改成采购核销B 差异类型设为发票价差H
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'H', FCREATETYPE = 'B' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE = 'H'  
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE FINVBILLTYPE = 366348248593474560);

-- 3.5 费用暂估：单据来源类型 ≠ 差异分摊 且 创建类型 = 费用价差K 且 分录对方单据类型 = 暂估应付单（986033862553422848）：创建类型改为费用暂估I，差异类型改为费用价差K
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'K', FCREATETYPE = 'I' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE = 'K'  
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE fsrcbilltypeid = 986033862553422848);

-- 3.6 费用分摊：单据来源类型 ≠ 差异分摊 且 创建类型 = 费用价差K 且 分录对方单据业务对象 = 财务应付单（'ap_finapbill'）：创建类型改为费用分摊D，差异类型改为费用价差K
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'K', FCREATETYPE = 'D' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE = 'K'  
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE fsrcbizentityobject = 'ap_finapbill');

-- 3.7 费用分摊--费用自动冲回：单据来源类型 ≠ 差异分摊 且 创建类型 = 费用价差K 且分录对方单据类型为成本调整单（986031578352241664）：创建类型改为费用分摊--费用自动冲回J，差异类型改为费用价差K
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'K', FCREATETYPE = 'J' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE = 'K'  
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE fsrcbilltypeid = 986031578352241664);

-- 3.8 完工产品结算：单据来源类型 ≠ 差异分摊 且 创建类型 in（材料耗用差异P，制造费用差异Q，成本更新差异S） 且分录库存单据业务对象为完工结算差异单（'sca_finishdiffbill'）：差异类型改为创建类型值，创建类型改为完工产品结算Y
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = FCREATETYPE, FCREATETYPE = 'Y' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE IN ('P','Q','S')  
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE finvbizentityobject = 'sca_finishdiffbill');

-- 3.9 期末成本计算：单据来源类型 ≠ 差异分摊 且 创建类型 = 未吸收费用差异R 且 分录库存单据业务对象为未吸收差异单（'sca_unabsorbdiff'）：差异类型改为未吸收费用R，创建类型改为期末成本计算Z
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'R', FCREATETYPE = 'Z' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE = 'R' 
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE finvbizentityobject = 'sca_unabsorbdiff');

-- 3.10 卷算成本更新：单据来源类型 ≠ 差异分摊 且 创建类型 = 标准成本变更差异M：差异类型改为标准成本变更差异M，创建类型改为卷算成本更新C1
-- UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'M', FCREATETYPE = 'C1' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE  = 'M';

-- 3.11 委外核销：单据来源类型 ≠ 差异分摊 且 库存单据类型= 标准委外入库单（989772873411359744） 且 创建类型 = 发票价差H：创建类型改成委外核销U 差异类型设为发票价差H
UPDATE T_CAL_COSTADJUSTBILL SET FDIFFTYPE = 'H', FCREATETYPE = 'U' WHERE FBILLSRCTYPE <> 'D' AND FCREATETYPE = 'H' 
AND FID IN (SELECT FID FROM T_CAL_COSTADJUSTBILLENTRY WHERE FINVBILLTYPE = 989772873411359744);


