-- 成组关系和账簿级成组关系记录--权重--占用数量--数据升级脚本
-- 只升级关联关系型数据

-- 业务成组关系记录
-- 目标单1：只更新关联关系型 目标单 权重为0：占用数量=数量，权重=数量的绝对值
update t_cal_grouprecordentry set foccupiedqty = fbaseqty,fweight = abs(fbaseqty) where ftype = '1' and fweight = 0
and fid in (select fid from t_cal_groupbillrecord where fgroupsettingtype= 'cal_billgroupsetting');
-- 源单  0：占用数量=数量，权重=1
update t_cal_grouprecordentry set foccupiedqty = fbaseqty,fweight = 1 where ftype = '0' and fweight = 0
and fid in (select fid from t_cal_groupbillrecord where fgroupsettingtype= 'cal_billgroupsetting');

-- 账簿级成组关系记录
-- 目标单1：占用数量=数量
update t_cal_atgrouprecord_entry  t1 set foccupiedqty= (select fbaseqty from t_cal_calcostrecordentry t2 where t1.fcostrecordentryid = t2.fentryid) where ftype = '1' and foccupiedqty = 0
and fid in (select fid from t_cal_accountgrouprecord where fgroupsettingtype= 'cal_billgroupsetting')
and t1.fcostrecordentryid in (select fentryid from t_cal_calcostrecordentry);
-- 目标单1 权重为0： 权重=数量绝对值
update t_cal_atgrouprecord_entry  t1 set fweight= (select abs(fbaseqty) from t_cal_calcostrecordentry t2 where t1.fcostrecordentryid = t2.fentryid) where ftype = '1' and fweight=0
and fid in (select fid from t_cal_accountgrouprecord where fgroupsettingtype= 'cal_billgroupsetting')
and t1.fcostrecordentryid in (select fentryid from t_cal_calcostrecordentry);
-- 源单  0：占用数量=数量，权重=1
update t_cal_atgrouprecord_entry  t1 set foccupiedqty = (select fbaseqty from t_cal_calcostrecordentry t2 where t1.fcostrecordentryid = t2.fentryid) where ftype = '0'  and foccupiedqty = 0
and fid in (select fid from t_cal_accountgrouprecord where fgroupsettingtype= 'cal_billgroupsetting')
and t1.fcostrecordentryid in (select fentryid from t_cal_calcostrecordentry);
update t_cal_atgrouprecord_entry  t1 set fweight= 1 where ftype = '0' and fweight = 0
and fid in (select fid from t_cal_accountgrouprecord where fgroupsettingtype= 'cal_billgroupsetting');
