
-- 调度任务 核算业务重新执行

DELETE FROM t_sch_taskdefine WHERE FID = '1LL+Y23XX6OP';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1LL+Y23XX6OP','kd.fi.cal.formplugin.setting.CalLogReExecuteTask','cal','CalLogReExecuteTask');

-- 调度任务多语言
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1LL+Y23XYL7G';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL+Y23XX6OP','1LL+Y23XYL7G','zh_CN','核算日志重新执行');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1LL+Y23XYL7H';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL+Y23XX6OP','1LL+Y23XYL7H','zh_TW','核算日誌重新執行');


-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '1LL0TNU=7GBL';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('1LL0TNU=7GBL','kd.fi.cal.formplugin.setting.CalLogReExecuteTask','1LL+Y23XX6OP','0',1053694095865986048,'BIZ','1','cal_CalBusinessLogReExecuteJob_SKDJ_S','0','1',0,0,' ','{"errortype":"3","day":"7","entity":"cal_businesslog","retrytimes":"3"}',0);
DELETE FROM T_SCH_JOB WHERE FID = '1LL+M9UR09DW';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('1LL+M9UR09DW','kd.fi.cal.formplugin.setting.CalLogReExecuteTask','1LL+Y23XX6OP','0',1053694095865986048,'BIZ','1','cal_CalSyncLogReExecuteJob_SKDJ_S','0','1',0,0,' ','{"errortype":"3","actionname":"SUBMIT,UNSUBMIT","day":"7","entity":"cal_syncbizbillrecord","retrytimes":"3"}',0);

-- 调度作业通知
DELETE FROM T_SCH_JOB_n WHERE FID = '1LL+M9UR09DW';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('1LL+M9UR09DW',0,'0',' ','1',' ','调度作业通知');
DELETE FROM T_SCH_JOB_n WHERE FID = '1LL0TNU=7GBL';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('1LL0TNU=7GBL',0,'0',' ','1',' ','调度作业通知');

-- 自定义参数

DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLKM=0MXRV8';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL0TNU=7GBL','day','7','1LLKM=0MXRV8',3);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLKM4=YOU0N';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL+M9UR09DW','day','7','1LLKM4=YOU0N',4);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLZGUUT3YXX';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL0TNU=7GBL','retrytimes','3','1LLZGUUT3YXX',4);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLZH6PQCJ/8';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL+M9UR09DW','retrytimes','3','1LLZH6PQCJ/8',5);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LL00CAPRM/G';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL+M9UR09DW','entity','cal_syncbizbillrecord','1LL00CAPRM/G',1);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LL070N0KX=5';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL+M9UR09DW','actionname','SUBMIT,UNSUBMIT','1LL070N0KX=5',2);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLJBX1E3B1W';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL0TNU=7GBL','entity','cal_businesslog','1LLJBX1E3B1W',1);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLIYIWIFXFX';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL+M9UR09DW','errortype','3','1LLIYIWIFXFX',3);
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1LLJBX1E3B1Y';
INSERT INTO T_SCH_JOBPARAMS(FID,FPARAMNAME,FPARAMVALUE,FENTRYID,FSEQ) VALUES ('1LL0TNU=7GBL','errortype','3','1LLJBX1E3B1Y',2);


-- 调度作业多语言
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1LL+M9UR1NYN';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL+M9UR09DW','1LL+M9UR1NYN','zh_CN','重新执行核算单同步（提交、撤销）失败日志');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1LL+M9UR1NYO';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL+M9UR09DW','1LL+M9UR1NYO','zh_TW','重新執行核算單同步（提交、撤銷）失敗日誌');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1LL0TNUCTH/B';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL0TNU=7GBL','1LL0TNUCTH/B','zh_CN','重新执行核算业务处理日志');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1LL0TNUCTH/C';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL0TNU=7GBL','1LL0TNUCTH/C','zh_TW','重新執行核算業務處理日誌');



-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1LL0NXLE8E7+';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FFEB,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN) VALUES ('0','0','0','0',' ','0','0','0','0','0 0 * * * ?','0','172.19.107.225','0','0','0','0',{ts'2120-05-01  00:00:00'},'0','0','h','0','d','0','0','0','0','事件将于2021-05-01 00:00:00起，
每1小时重复。
预计最近十次执行时间：
2021-05-01 00:00:00,
2021-05-01 01:00:00,
2021-05-01 02:00:00,
2021-05-01 03:00:00,
2021-05-01 04:00:00,
2021-05-01 05:00:00,
2021-05-01 06:00:00,
2021-05-01 07:00:00,
2021-05-01 08:00:00,
2021-05-01 09:00:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0',' ',{ts'2021-05-01  00:00:00'},'0','0','0','1LL0NXLE8E7+','0','0','0','0','0',' ','0','CalSyncLogReExecutePlan','0','0',1,'0','0','0','0');
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1LL1VZK7PRQA';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FFEB,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN) VALUES ('0','0','0','0',' ','0','0','0','0','0 30 * * * ?','0','172.19.107.225','0','0','0','0',{ts'2120-05-01  00:00:00'},'0','0','h','0','d','0','0','0','0','事件将于2021-05-01 00:30:00起，
每1小时重复。
预计最近十次执行时间：
2021-05-01 00:30:00,
2021-05-01 01:30:00,
2021-05-01 02:30:00,
2021-05-01 03:30:00,
2021-05-01 04:30:00,
2021-05-01 05:30:00,
2021-05-01 06:30:00,
2021-05-01 07:30:00,
2021-05-01 08:30:00,
2021-05-01 09:30:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0',' ',{ts'2021-05-01  00:30:00'},'0','0','0','1LL1VZK7PRQA','0','0','0','0','0',' ','0','CalBusinessLogReExecutePlan','0','0',1,'0','0','0','0');


-- 调度计划多语言
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1LL0NXLE9TQR';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL0NXLE8E7+','1LL0NXLE9TQR','zh_CN','重新执行核算单同步（提交、撤销）失败日志');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1LL0NXLE9TQS';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL0NXLE8E7+','1LL0NXLE9TQS','zh_TW','重新執行核算單同步（提交、撤銷）失敗日誌');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1LL1VZKA=C7X';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL1VZK7PRQA','1LL1VZKA=C7X','zh_CN','重新执行核算业务处理失败日志');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1LL1VZKA=C7Y';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1LL1VZK7PRQA','1LL1VZKA=C7Y','zh_TW','重新執行核算業務處理失敗日誌');


-- 调度计划分录(调度作业)
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '1LL0NXLE8E7/';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('1LL0NXLE8E7+','1LL+M9UR09DW','1LL0NXLE8E7/',1);
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '1LL1VZKAB5XU';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('1LL1VZK7PRQA','1LL0TNU=7GBL','1LL1VZKAB5XU',1);






